import { PropType } from "vue";
import { PaginatedList, PaginatedListRequest } from '../model/PaginatedList';
import { TotalListLoadInfo } from '../model/TotalList';
import { ScrollType } from '../config/uiComponentConfig';
declare const _sfc_main: import("vue").DefineComponent<{
    list: {
        type: typeof PaginatedList;
        default: undefined;
    };
    listKey: {
        type: StringConstructor;
        default: undefined;
    };
    limit: {
        type: NumberConstructor;
        default: number;
    };
    appendType: {
        type: PropType<"MORE" | "INFINITE">;
        default: string;
    };
    skeletonCount: {
        type: NumberConstructor;
        default: number;
    };
    itemContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    skeletonContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    moreButtonContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    loadExplicitly: {
        type: BooleanConstructor;
        default: boolean;
    };
    loadOnMount: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    isListUndefined: import("vue").ComputedRef<boolean>;
    isListLoading: import("vue").ComputedRef<boolean>;
    isListLoaded: import("vue").ComputedRef<boolean>;
    isListEmpty: import("vue").ComputedRef<boolean>;
    isMoreDataAvailable: import("vue").ComputedRef<boolean>;
    totalList: {
        data: unknown[];
        totalCount: number;
        loadedCount: number;
        append: (list?: PaginatedList<unknown> | undefined) => void;
        isBeforeInitialized: () => boolean;
        isEmpty: () => boolean;
        clear: () => void;
        isMoreDataAvailable: () => boolean;
    };
    loadList: () => void;
    moreCaption: string;
    moreButtonIcon: string;
    moreButtonDirection: "left" | "right" | "top";
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    needList: (request: PaginatedListRequest, scrollType: ScrollType) => true;
    listLoaded: (loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    list: {
        type: typeof PaginatedList;
        default: undefined;
    };
    listKey: {
        type: StringConstructor;
        default: undefined;
    };
    limit: {
        type: NumberConstructor;
        default: number;
    };
    appendType: {
        type: PropType<"MORE" | "INFINITE">;
        default: string;
    };
    skeletonCount: {
        type: NumberConstructor;
        default: number;
    };
    itemContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    skeletonContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    moreButtonContainerClass: {
        type: StringConstructor;
        default: undefined;
    };
    loadExplicitly: {
        type: BooleanConstructor;
        default: boolean;
    };
    loadOnMount: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onNeedList?: ((request: PaginatedListRequest, scrollType: ScrollType) => any) | undefined;
    onListLoaded?: ((loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType) => any) | undefined;
}, {
    limit: number;
    list: PaginatedList<unknown>;
    listKey: string;
    appendType: "MORE" | "INFINITE";
    skeletonCount: number;
    itemContainerClass: string;
    skeletonContainerClass: string;
    moreButtonContainerClass: string;
    loadExplicitly: boolean;
    loadOnMount: boolean;
}>;
export default _sfc_main;
