import { Ref } from "vue";
import { LocationQuery, LocationQueryValue } from "vue-router";
export declare class ScrollListKey {
    private params?;
    private forceUpdate;
    constructor(params?: Ref<any>[] | undefined);
    setParams(params: Ref[]): void;
    forceRefresh(): void;
    key(): string;
}
export declare type QueryConverter<T> = {
    toQueryString?: (value: T) => string;
    fromQueryString?: (query: LocationQueryValue | LocationQueryValue[]) => T | undefined;
};
export declare type ScrollListFilterItem = {
    name: string;
    value: Ref;
    defaultValue?: unknown;
    queryConverter?: QueryConverter<unknown>;
};
export declare class ScrollListFilter {
    private params?;
    private queryRef;
    constructor(params?: ScrollListFilterItem[] | undefined);
    setParams(params: ScrollListFilterItem[]): void;
    createUrlQuery(locationQuery: LocationQuery): LocationQuery;
    static isQueryEqual(query1: LocationQuery, query2: LocationQuery): boolean;
    private createRequestQuery;
    private extractNonFilterQuery;
    syncUrlQuery(locationQuery: LocationQuery): void;
    private convertToQuery;
    private convertFromQuery;
    createListKey(): ScrollListKey;
    getParamValues(): Record<string, Ref>;
}
export declare const numberQueryConverter: QueryConverter<unknown>;
