import { MonthListItem } from '../components/UiPeriodSearchModel';
export declare type ScrollType = 'PAGE' | 'MORE' | 'INFINITE';
export declare type MessageFunction = (args: unknown[]) => string;
export declare type UiComponentConfig = {
    fileUrlPrefix: string;
    alertRequired: string;
    alertNumberOnly: string;
    alertMinCharCount: string | MessageFunction;
    alertMaxCharCount: string | MessageFunction;
    currencySymbolBefore: string;
    currencySymbolAfter: string;
    inputQtyChangeButtonCaption: string;
    loadingOverlayColor: string;
    loadingOverlayStyle: 'spinner' | 'dots' | 'bars';
    scrollListDefaultScrollType: ScrollType;
    scrollListDefaultScrollTypeMobile?: ScrollType;
    scrollListDefaultScrollTypePc?: ScrollType;
    scrollListMoreCaption: string;
    scrollListMoreButtonIcon: string;
    scrollListMoreButtonDirection: 'left' | 'right' | 'top';
    periodSearchMonthList: MonthListItem[];
    periodSearchAllCaption: string;
    processStepIconClass: string;
    imagePreventCopy: boolean;
};
export declare const uiComponentConfig: UiComponentConfig;
/**
 * UI Component 를 설정한다.
 * @param config
 */
export declare const configureUiComponent: (config: Partial<UiComponentConfig>) => void;
