var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
import { reactive, defineComponent, computed, getCurrentInstance, openBlock, createBlock, resolveDynamicComponent, withCtx, renderSlot, normalizeClass, createElementBlock, createCommentVNode, createTextVNode, toDisplayString, ref, watch, resolveDirective, Fragment, withDirectives, mergeProps, renderList, createElementVNode, normalizeStyle, onMounted, resolveComponent, vShow, nextTick, onBeforeUnmount, normalizeProps, guardReactiveProps, toHandlers, vModelText, toRaw, provide, inject, withKeys, withModifiers, createVNode, onBeforeMount, onUnmounted, TransitionGroup, h, onUpdated } from "vue";
import { useRouter, RouterLink, useRoute } from "vue-router";
import YouTube from "vue3-youtube";
import { useKeenSlider } from "keen-slider/vue";
import { required, numeric } from "@vee-validate/rules";
import { useField } from "vee-validate";
import dayjs from "dayjs";
import { directive } from "vue3-click-away";
import Swiper$1, { Navigation, Pagination, Scrollbar, A11y, FreeMode, EffectFade, Autoplay } from "swiper";
import { useLoading } from "vue-loading-overlay";
import { vfmPlugin, $vfm } from "vue-final-modal";
const uiComponentConfig = {
  fileUrlPrefix: "",
  alertRequired: "Required",
  alertNumberOnly: "Only numbers are allowed",
  alertMinCharCount: (args) => `Should be longer than ${args[0]}`,
  alertMaxCharCount: (args) => `Should be shorter than ${args[0]}`,
  currencySymbolBefore: "",
  currencySymbolAfter: "",
  inputQtyChangeButtonCaption: "Change",
  loadingOverlayColor: "#3f51b5",
  loadingOverlayStyle: "spinner",
  scrollListDefaultScrollType: "PAGE",
  scrollListMoreCaption: "More",
  scrollListMoreButtonIcon: "plus",
  scrollListMoreButtonDirection: "left",
  periodSearchMonthList: [{ caption: "3M", months: 3 }, { caption: "6M", months: 6 }, { caption: "1Y", months: 12 }],
  periodSearchAllCaption: "All",
  processStepIconClass: "arrow-right",
  imagePreventCopy: false
};
const configureUiComponent = (config) => {
  Object.assign(uiComponentConfig, config);
};
const ScreenSizeArray = ["XS", "SM", "MD", "LG", "XL"];
const BREAKPOINTS = {
  sm: {}.VITE_BREAKPOINT_SM || "576",
  md: {}.VITE_BREAKPOINT_MD || "768",
  lg: {}.VITE_BREAKPOINT_LG || "992",
  xl: {}.VITE_BREAKPOINT_XL || "1140"
};
const MEDIA_QUERIES = {
  sm: `(min-width: ${BREAKPOINTS.sm}px)`,
  md: `(min-width: ${BREAKPOINTS.md}px)`,
  lg: `(min-width: ${BREAKPOINTS.lg}px)`,
  xl: `(min-width: ${BREAKPOINTS.xl}px)`
};
const globalResponsiveConfig = reactive({
  screenSize: "XS"
});
const refreshScreenSize = () => {
  const width = window.innerWidth;
  globalResponsiveConfig.screenSize = width >= Number(BREAKPOINTS.xl) ? "XL" : width >= Number(BREAKPOINTS.lg) ? "LG" : width >= Number(BREAKPOINTS.md) ? "MD" : width >= Number(BREAKPOINTS.sm) ? "SM" : "XS";
};
refreshScreenSize();
window == null ? void 0 : window.addEventListener("resize", refreshScreenSize, { passive: true });
const responsiveUtil = {
  currentScreenSize() {
    return globalResponsiveConfig.screenSize;
  },
  isScreenSizeSmallerThan(size) {
    return ScreenSizeArray.indexOf(globalResponsiveConfig.screenSize) < ScreenSizeArray.indexOf(size);
  },
  isScreenSizeEqualOrSmallerThan(size) {
    return ScreenSizeArray.indexOf(globalResponsiveConfig.screenSize) <= ScreenSizeArray.indexOf(size);
  },
  isScreenSizeEqualOrGreaterThan(size) {
    return ScreenSizeArray.indexOf(globalResponsiveConfig.screenSize) >= ScreenSizeArray.indexOf(size);
  },
  isScreenSizeGreaterThan(size) {
    return ScreenSizeArray.indexOf(globalResponsiveConfig.screenSize) > ScreenSizeArray.indexOf(size);
  }
};
const urlUtil = {
  isAbsoluteUrl(url) {
    return !!url && (url.startsWith("http://") || url.startsWith("https://") || url.startsWith("mailto:") || url.startsWith("tel:"));
  },
  prependPrefixIfRelativeUrl(prefix, url) {
    if (!url)
      return void 0;
    if (this.isAbsoluteUrl(url))
      return url;
    return prefix + url;
  },
  checkInternalLink(url) {
    return !this.isAbsoluteUrl(url) ? "RELATIVE_PATH" : new URL(url).origin === new URL(location.href).origin ? "SAME_ORIGIN" : void 0;
  },
  extractUrlDifferentPart(targetUrl, withUrl) {
    return "/" + targetUrl.split("/").filter((str, index) => str !== withUrl.split("/")[index]).join("/");
  }
};
const _sfc_main$x = defineComponent({
  name: "UiLink",
  props: {
    href: {
      type: String
    },
    target: {
      type: String,
      default: void 0
    }
  },
  setup(props) {
    const isTargetSelf = computed(() => !(props == null ? void 0 : props.target) || props.target.toLowerCase() === "_self");
    const instance = getCurrentInstance();
    const isVueRouterInstalled = !!(instance == null ? void 0 : instance.appContext.config.globalProperties.$router);
    const router = isVueRouterInstalled ? useRouter() : void 0;
    const routerBase = location.origin + ((router == null ? void 0 : router.options.history.base) || "");
    const isInternalLink = computed(() => props.href && router && urlUtil.checkInternalLink(props.href));
    const computedHref = computed(() => props.href && isInternalLink.value === "SAME_ORIGIN" && isTargetSelf.value ? urlUtil.extractUrlDifferentPart(props.href, routerBase) : props.href);
    const component = computed(() => isInternalLink.value ? RouterLink : "a");
    return {
      component,
      computedHref
    };
  }
});
const _export_sfc = (sfc, props) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props) {
    target[key] = val;
  }
  return target;
};
function _sfc_render$x(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock(resolveDynamicComponent(_ctx.component), {
    href: _ctx.computedHref,
    to: _ctx.computedHref,
    target: _ctx.target
  }, {
    default: withCtx(() => [
      renderSlot(_ctx.$slots, "default")
    ]),
    _: 3
  }, 8, ["href", "to", "target"]);
}
const UiLink = /* @__PURE__ */ _export_sfc(_sfc_main$x, [["render", _sfc_render$x]]);
const _sfc_main$w = defineComponent({
  name: "UiButton",
  components: { UiLink },
  props: {
    caption: {
      type: String,
      default: ""
    },
    href: {
      type: String,
      default: void 0
    },
    routerTo: {
      type: String,
      default: void 0
    },
    buttonType: {
      type: String,
      default: "button"
    },
    icon: {
      type: String,
      default: void 0
    },
    iconDirection: {
      type: String,
      default: "left",
      validator: (value) => ["left", "right", "top"].includes(value)
    },
    disabled: {
      type: Boolean,
      default: false
    }
  },
  setup(props) {
    const iconClass = computed(() => {
      return `${props.icon} icon-${props.iconDirection} ${props.caption ? "with-caption" : ""}`;
    });
    const extraClass = computed(() => {
      return props.icon && props.iconDirection === "top" ? "vertical" : "";
    });
    const isComponentLink = computed(() => !!props.href || !!props.routerTo);
    const checkComponentLinkOrButton = computed(() => isComponentLink.value ? UiLink : "button");
    return {
      iconClass,
      extraClass,
      checkComponentLinkOrButton,
      isComponentLink
    };
  }
});
function _sfc_render$w(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock(resolveDynamicComponent(_ctx.checkComponentLinkOrButton), {
    class: normalizeClass(["ui-button", _ctx.extraClass]),
    href: _ctx.href || _ctx.routerTo,
    disabled: _ctx.disabled,
    type: !_ctx.isComponentLink ? _ctx.buttonType : void 0
  }, {
    default: withCtx(() => [
      _ctx.icon && (_ctx.iconDirection === "left" || _ctx.iconDirection === "top") ? (openBlock(), createElementBlock("i", {
        key: 0,
        class: normalizeClass(["icon-font", _ctx.iconClass])
      }, null, 2)) : createCommentVNode("", true),
      createTextVNode(" " + toDisplayString(_ctx.caption) + " ", 1),
      _ctx.icon && _ctx.iconDirection === "right" ? (openBlock(), createElementBlock("i", {
        key: 1,
        class: normalizeClass(["icon-font", _ctx.iconClass])
      }, null, 2)) : createCommentVNode("", true)
    ]),
    _: 1
  }, 8, ["class", "href", "disabled", "type"]);
}
const UiButton = /* @__PURE__ */ _export_sfc(_sfc_main$w, [["render", _sfc_render$w]]);
const checkSupportIntersectionObserver = () => {
  var _a;
  return "IntersectionObserver" in window || "IntersectionObserverEntry" in window || "intersectionRatio" in (((_a = window == null ? void 0 : window.IntersectionObserverEntry) == null ? void 0 : _a.prototype) || {});
};
const checkMobileDevice = () => {
  const userAgent = navigator.userAgent.toLowerCase();
  if (userAgent.indexOf("android") > -1)
    return "ANDROID";
  else if (userAgent.indexOf("iphone") > -1 || userAgent.indexOf("ipad") > -1 || userAgent.indexOf("ipod") > -1)
    return "IOS";
  else
    return "ETC";
};
const checkSupportWebp = () => {
  const elem = document.createElement("canvas");
  return elem.getContext && elem.getContext("2d") ? elem.toDataURL("image/webp").indexOf("data:image/webp") === 0 : false;
};
const mobileDeviceType = checkMobileDevice();
const supportWebp = checkSupportWebp();
const supportIntersectionObserver = checkSupportIntersectionObserver();
const defaultIntersectionObserver = !supportIntersectionObserver ? void 0 : new IntersectionObserver((entries, observer) => {
  entries.forEach((entry) => {
    var _a, _b;
    if (entry.isIntersecting) {
      (_b = (_a = entry.target).onIntersect) == null ? void 0 : _b.call(_a);
      if (entry.target.onIntersectOnce) {
        observer.unobserve(entry.target);
        delete entry.target.onIntersect;
      }
    }
  });
});
const Lazy = {
  mounted: (element, { value }, vnode) => {
    const enabled = typeof value === "object" ? !!value.enabled : !!value;
    const onIntersectHandler = typeof value === "object" ? value.onIntersect : null;
    const once = typeof value === "object" && value.once !== void 0 ? value.once : true;
    if (defaultIntersectionObserver && (enabled === void 0 || enabled)) {
      element.onIntersect = () => onIntersectHandler == null ? void 0 : onIntersectHandler(element, vnode);
      element.onIntersectOnce = once;
      defaultIntersectionObserver.observe(element);
    } else {
      onIntersectHandler == null ? void 0 : onIntersectHandler(element, vnode);
    }
  }
};
const preventDefaultHandler = (event) => event.preventDefault();
const preventCopy = {
  updated: (element, { value }) => {
    if (value == void 0 || value) {
      if (element.getAttribute("prevent-copy-handler-registered") !== "true") {
        element.addEventListener("contextmenu", preventDefaultHandler);
        element.setAttribute("prevent-copy-handler-registered", "true");
      }
      if (!element.classList.contains("user-select-none")) {
        element.classList.add("user-select-none");
      }
    }
  }
};
const _sfc_main$v = defineComponent({
  name: "UiImage",
  directives: { lazy: Lazy, preventCopy },
  props: {
    fileUrl: {
      type: String,
      default: void 0
    },
    alt: {
      type: String,
      default: void 0
    },
    width: {
      type: String,
      default: void 0
    },
    height: {
      type: String,
      default: void 0
    },
    requestWidth: {
      type: Number,
      default: void 0
    },
    requestHeight: {
      type: Number,
      default: void 0
    },
    loadingWidth: {
      type: String,
      default: void 0
    },
    loadingHeight: {
      type: String,
      default: void 0
    },
    quality: {
      type: Number,
      default: -1
    },
    lazy: {
      type: Boolean,
      default: true
    },
    preventCopy: {
      type: Boolean,
      default: () => uiComponentConfig.imagePreventCopy
    },
    useSrcset: {
      type: Boolean,
      default: false
    },
    srcsetMaxResolution: {
      type: Number,
      default: 3,
      validator: (value) => value >= 1 && value <= 5
    },
    hideImageOnError: {
      type: Boolean,
      default: false
    },
    imageRatio: {
      type: Number,
      default: 1
    }
  },
  setup(props) {
    const shouldUseDefaultImage = computed(() => !props.fileUrl || !isImageUrl$1(props.fileUrl));
    const imageResizeAvailable = computed(
      () => {
        var _a;
        return !urlUtil.isAbsoluteUrl(props.fileUrl) && !shouldUseDefaultImage.value && !((_a = props.fileUrl) == null ? void 0 : _a.endsWith(".gif"));
      }
    );
    const createImageUrl = (width, height) => {
      if (!props.fileUrl)
        return void 0;
      if (urlUtil.isAbsoluteUrl(props.fileUrl))
        return props.fileUrl;
      const src = uiComponentConfig.fileUrlPrefix + props.fileUrl;
      if (imageResizeAvailable.value) {
        const format = supportWebp ? "?f=webp" : "?";
        const quality = props.quality > 0 ? `&q=${props.quality}` : "&q=100";
        const widthParam = width ? `&w=${width}` : "";
        const heightParam = height ? `&h=${height}` : "";
        return `${src}${format}${quality}${widthParam}${heightParam}`;
      } else {
        return src;
      }
    };
    const imageSrc = computed(() => createImageUrl(props.requestWidth, props.requestHeight));
    const imageSrcSet = computed(() => {
      if (props.useSrcset && imageResizeAvailable.value && (props.requestWidth || props.requestHeight)) {
        const max = Math.max(1, Math.min(props.srcsetMaxResolution, 5));
        return [...Array(max).keys()].map((val) => ({
          resolution: val + 1,
          width: props.requestWidth && props.requestWidth * (val + 1),
          height: props.requestHeight && props.requestHeight * (val + 1)
        })).map((size) => `${createImageUrl(size.width, size.height)} ${size.resolution}x`).join(", ");
      } else {
        return void 0;
      }
    });
    const shouldLoad = ref(!props.lazy);
    const startLoadImage = () => {
      shouldLoad.value = true;
    };
    const imageLoaded = ref(false);
    const setImageLoaded = () => {
      imageLoaded.value = true;
    };
    const imageWidth = computed(() => imageLoaded.value ? props.width : "0");
    const imageHeight = computed(() => imageLoaded.value ? props.height : "0");
    const loadFailed = ref(false);
    const setLoadFailed = () => {
      loadFailed.value = true;
    };
    const imageDisplay = computed(() => props.hideImageOnError && loadFailed.value ? "none" : void 0);
    watch(() => props.fileUrl, () => {
      loadFailed.value = false;
    });
    return {
      imageSrc,
      imageSrcSet,
      shouldLoad,
      startLoadImage,
      imageLoaded,
      setImageLoaded,
      imageWidth,
      imageHeight,
      imageDisplay,
      loadFailed,
      setLoadFailed
    };
  }
});
function isImageUrl$1(url) {
  const ext = url.substring(url.lastIndexOf(".") + 1).toLowerCase();
  return ["jpg", "jpeg", "png", "ping", "gif", "giff", "webp", "svg"].includes(ext);
}
const _hoisted_1$o = ["src", "srcset", "alt"];
const _hoisted_2$f = ["viewBox"];
const _hoisted_3$d = ["data-file-url", "viewBox"];
function _sfc_render$v(_ctx, _cache, $props, $setup, $data, $options) {
  const _directive_prevent_copy = resolveDirective("prevent-copy");
  const _directive_lazy = resolveDirective("lazy");
  return openBlock(), createElementBlock(Fragment, null, [
    _ctx.imageSrc && _ctx.shouldLoad && !_ctx.loadFailed ? withDirectives((openBlock(), createElementBlock("img", mergeProps({
      key: 0,
      onLoad: _cache[0] || (_cache[0] = (...args) => _ctx.setImageLoaded && _ctx.setImageLoaded(...args)),
      class: [!_ctx.imageLoaded ? "position-absolute" : ""],
      src: _ctx.imageSrc,
      srcset: _ctx.imageSrcSet,
      alt: _ctx.alt,
      style: { width: _ctx.imageWidth, height: _ctx.imageHeight, display: _ctx.imageDisplay },
      onError: _cache[1] || (_cache[1] = (...args) => _ctx.setLoadFailed && _ctx.setLoadFailed(...args))
    }, _ctx.$attrs), null, 16, _hoisted_1$o)), [
      [_directive_prevent_copy, _ctx.preventCopy]
    ]) : createCommentVNode("", true),
    _ctx.imageSrc && !_ctx.imageLoaded && !_ctx.loadFailed ? withDirectives((openBlock(), createElementBlock("div", mergeProps({
      key: 1,
      class: "ui-image loading-image",
      style: { width: _ctx.loadingWidth || _ctx.width, height: _ctx.loadingHeight || _ctx.height, display: _ctx.imageDisplay, ..._ctx.$attrs.style }
    }, { class: _ctx.$attrs.class }), [
      (openBlock(), createElementBlock("svg", {
        viewBox: `0 0 1 ${_ctx.imageRatio}`
      }, null, 8, _hoisted_2$f))
    ], 16)), [
      [_directive_lazy, { enabled: _ctx.lazy, onIntersect: _ctx.startLoadImage }]
    ]) : _ctx.loadFailed || !_ctx.imageSrc ? (openBlock(), createElementBlock("svg", mergeProps({
      key: 2,
      class: "ui-image failed-load-image",
      style: { width: _ctx.loadingWidth || _ctx.width, height: _ctx.loadingHeight || _ctx.height, display: _ctx.imageDisplay, ..._ctx.$attrs.style },
      "data-file-url": _ctx.imageSrc,
      viewBox: `0 0 1 ${_ctx.imageRatio}`
    }, { class: _ctx.$attrs.class }), null, 16, _hoisted_3$d)) : createCommentVNode("", true)
  ], 64);
}
const UiImage = /* @__PURE__ */ _export_sfc(_sfc_main$v, [["render", _sfc_render$v]]);
const propsResponsiveSrc = Object.keys(MEDIA_QUERIES).reduce((acc, current) => {
  const key = `${current}-src`;
  acc[key] = String;
  return acc;
}, {});
const _sfc_main$u = defineComponent({
  name: "UiPicture",
  directives: { lazy: Lazy, preventCopy },
  props: {
    ...propsResponsiveSrc,
    src: {
      type: String,
      default: void 0
    },
    alt: {
      type: String,
      default: void 0
    },
    width: {
      type: String,
      default: void 0
    },
    height: {
      type: String,
      default: void 0
    },
    requestWidth: {
      type: Number,
      default: void 0
    },
    requestHeight: {
      type: Number,
      default: void 0
    },
    loadingWidth: {
      type: String,
      default: void 0
    },
    loadingHeight: {
      type: String,
      default: void 0
    },
    quality: {
      type: Number,
      default: -1
    },
    lazy: {
      type: Boolean,
      default: true
    },
    preventCopy: {
      type: Boolean,
      default: () => uiComponentConfig.imagePreventCopy
    },
    useResolutions: {
      type: Boolean,
      default: false
    },
    srcsetMaxResolution: {
      type: Number,
      default: 3,
      validator: (value) => value >= 1 && value <= 5
    },
    hideImageOnError: {
      type: Boolean,
      default: false
    },
    imageRatio: {
      type: Number,
      default: 1
    }
  },
  emits: {
    "pictureMouseover": (event) => !!event,
    "pictureMouseleave": (event) => !!event
  },
  setup(props) {
    const mediaQueries = Object.entries(MEDIA_QUERIES).map((item) => ({ [item[0]]: item[1] }));
    const shouldUseDefaultImage = computed(() => !props.src || !isImageUrl(props.src));
    const imageResizeAvailable = computed(
      () => {
        var _a;
        return !urlUtil.isAbsoluteUrl(props.src) && !shouldUseDefaultImage.value && !((_a = props.src) == null ? void 0 : _a.endsWith(".gif"));
      }
    );
    const createImageUrl = (src, width, height) => {
      if (!props.src)
        return void 0;
      if (urlUtil.isAbsoluteUrl(src))
        return src;
      const _src = uiComponentConfig.fileUrlPrefix + src;
      if (imageResizeAvailable.value) {
        const format = supportWebp ? "?f=webp" : "?";
        const quality = props.quality > 0 ? `&q=${props.quality}` : "&q=100";
        const widthParam = width ? `&w=${width}` : "";
        const heightParam = height ? `&h=${height}` : "";
        return `${_src}${format}${quality}${widthParam}${heightParam}`;
      } else {
        return _src;
      }
    };
    const createSrcSet = (src) => {
      if (props.useResolutions && imageResizeAvailable.value && (props.requestWidth || props.requestHeight)) {
        const max = Math.max(1, Math.min(props.srcsetMaxResolution, 5));
        return [...Array(max).keys()].map((val) => ({
          resolution: val + 1,
          width: props.requestWidth && props.requestWidth * (val + 1),
          height: props.requestHeight && props.requestHeight * (val + 1)
        })).map((size) => `${createImageUrl(src, size.width, size.height)} ${size.resolution}x`).join(", ");
      } else
        return createImageUrl(src, props.requestWidth, props.requestHeight);
    };
    const responsiveSrc = computed(() => Object.keys({ default: {}, ...MEDIA_QUERIES }).reverse().map((item) => item.toLowerCase()).reduce((acc, current) => {
      const screen = current;
      if (current === "default") {
        acc["default"] = {
          srcset: createSrcSet(props.src),
          src: createImageUrl(props.src, props.requestWidth, props.requestHeight),
          media: "(min-width: 0)"
        };
      }
      for (const propsKey in props) {
        if (propsKey.includes(current)) {
          const receivedSrc = props[propsKey];
          receivedSrc ? acc[screen] = { srcset: createSrcSet(receivedSrc), media: MEDIA_QUERIES[screen] } : delete acc[screen];
        }
      }
      return acc;
    }, {}));
    const shouldLoad = ref(!props.lazy);
    const startLoadImage = () => {
      shouldLoad.value = true;
    };
    const imageLoaded = ref(false);
    const setImageLoaded = () => {
      imageLoaded.value = true;
    };
    const imageWidth = computed(() => imageLoaded.value ? props.width : "0");
    const imageHeight = computed(() => imageLoaded.value ? props.height : "0");
    const loadFailed = ref(false);
    const setLoadFailed = () => {
      loadFailed.value = true;
    };
    const imageDisplay = computed(() => props.hideImageOnError && loadFailed.value ? "none" : void 0);
    watch(() => props.src, () => {
      loadFailed.value = false;
    });
    return {
      shouldLoad,
      startLoadImage,
      imageLoaded,
      setImageLoaded,
      imageWidth,
      imageHeight,
      imageDisplay,
      loadFailed,
      setLoadFailed,
      mediaQueries,
      responsiveSrc
    };
  }
});
function isImageUrl(url) {
  const ext = url.substring(url.lastIndexOf(".") + 1).toLowerCase();
  return ["jpg", "jpeg", "png", "ping", "gif", "giff", "webp", "svg"].includes(ext);
}
const _hoisted_1$n = { key: 0 };
const _hoisted_2$e = ["media", "srcset"];
const _hoisted_3$c = ["src", "alt"];
const _hoisted_4$8 = ["viewBox"];
const _hoisted_5$6 = ["data-src", "viewBox"];
function _sfc_render$u(_ctx, _cache, $props, $setup, $data, $options) {
  var _a;
  const _directive_prevent_copy = resolveDirective("prevent-copy");
  const _directive_lazy = resolveDirective("lazy");
  return openBlock(), createElementBlock(Fragment, null, [
    _ctx.responsiveSrc.default.src && _ctx.shouldLoad && !_ctx.loadFailed ? (openBlock(), createElementBlock("picture", _hoisted_1$n, [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.responsiveSrc, (value, key) => {
        return openBlock(), createElementBlock("source", {
          key,
          media: value == null ? void 0 : value.media,
          srcset: value == null ? void 0 : value.srcset
        }, null, 8, _hoisted_2$e);
      }), 128)),
      withDirectives(createElementVNode("img", {
        src: _ctx.responsiveSrc.default.src,
        alt: _ctx.alt,
        style: normalizeStyle({ width: _ctx.imageWidth, height: _ctx.imageHeight, display: _ctx.imageDisplay }),
        class: normalizeClass([!_ctx.imageLoaded ? "position-absolute" : "", (_a = _ctx.$attrs) == null ? void 0 : _a.class]),
        onMouseover: _cache[0] || (_cache[0] = ($event) => _ctx.$emit("pictureMouseover", $event)),
        onMouseleave: _cache[1] || (_cache[1] = ($event) => _ctx.$emit("pictureMouseleave", $event)),
        onError: _cache[2] || (_cache[2] = (...args) => _ctx.setLoadFailed && _ctx.setLoadFailed(...args)),
        onLoad: _cache[3] || (_cache[3] = (...args) => _ctx.setImageLoaded && _ctx.setImageLoaded(...args))
      }, null, 46, _hoisted_3$c), [
        [_directive_prevent_copy, _ctx.preventCopy]
      ])
    ])) : createCommentVNode("", true),
    _ctx.responsiveSrc.default.src && !_ctx.imageLoaded && !_ctx.loadFailed ? withDirectives((openBlock(), createElementBlock("div", mergeProps({
      key: 1,
      class: "ui-image loading-image",
      style: { width: _ctx.loadingWidth || _ctx.width, height: _ctx.loadingHeight || _ctx.height, display: _ctx.imageDisplay, ..._ctx.$attrs.style }
    }, { class: _ctx.$attrs.class }), [
      (openBlock(), createElementBlock("svg", {
        viewBox: `0 0 1 ${_ctx.imageRatio}`
      }, null, 8, _hoisted_4$8))
    ], 16)), [
      [_directive_lazy, { enabled: _ctx.lazy, onIntersect: _ctx.startLoadImage }]
    ]) : _ctx.loadFailed || !_ctx.responsiveSrc.default.src ? (openBlock(), createElementBlock("svg", mergeProps({
      key: 2,
      class: "ui-image failed-load-image",
      style: { width: _ctx.loadingWidth || _ctx.width, height: _ctx.loadingHeight || _ctx.height, display: _ctx.imageDisplay, ..._ctx.$attrs.style },
      "data-src": _ctx.responsiveSrc.default.src,
      viewBox: `0 0 1 ${_ctx.imageRatio}`
    }, { class: _ctx.$attrs.class }), null, 16, _hoisted_5$6)) : createCommentVNode("", true)
  ], 64);
}
const UiPicture = /* @__PURE__ */ _export_sfc(_sfc_main$u, [["render", _sfc_render$u]]);
const _sfc_main$t = defineComponent({
  name: "UiVideo",
  directives: { lazy: Lazy },
  props: {
    fileUrl: {
      type: String,
      default: void 0
    },
    width: {
      type: String,
      default: void 0
    },
    height: {
      type: String,
      default: void 0
    },
    autoplay: {
      type: Boolean,
      default: false
    },
    controls: {
      type: Boolean,
      default: false
    },
    loop: {
      type: Boolean,
      default: false
    },
    muted: {
      type: Boolean,
      default: false
    },
    poster: {
      type: String,
      default: void 0
    },
    playsinline: {
      type: Boolean,
      default: true
    },
    lazy: {
      type: Boolean,
      default: true
    }
  },
  setup(props) {
    const videoSrc = computed(() => urlUtil.prependPrefixIfRelativeUrl(uiComponentConfig.fileUrlPrefix, props.fileUrl));
    const posterSrc = computed(() => urlUtil.prependPrefixIfRelativeUrl(uiComponentConfig.fileUrlPrefix, props.poster));
    return {
      videoSrc,
      posterSrc
    };
  }
});
const _hoisted_1$m = ["poster"];
const _hoisted_2$d = ["src"];
function _sfc_render$t(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("video", mergeProps({
    poster: _ctx.posterSrc,
    style: { width: _ctx.width, height: _ctx.height }
  }, { autoplay: _ctx.autoplay, controls: _ctx.controls, loop: _ctx.loop, muted: _ctx.muted, playsinline: _ctx.playsinline }), [
    createElementVNode("source", { src: _ctx.videoSrc }, null, 8, _hoisted_2$d)
  ], 16, _hoisted_1$m);
}
const UiVideo = /* @__PURE__ */ _export_sfc(_sfc_main$t, [["render", _sfc_render$t]]);
const parseState = (playerState) => {
  if (playerState === -1)
    return "UNSTARTED";
  else if (playerState === 0)
    return "ENDED";
  else if (playerState === 1)
    return "PLAYING";
  else if (playerState === 2)
    return "PAUSED";
  else if (playerState === 3)
    return "BUFFERING";
  else if (playerState === 4)
    return "CUED";
  else
    return "UNSTARTED";
};
let created = 0;
const _sfc_main$s = defineComponent({
  name: "UiYoutubePlayer",
  components: {
    YouTube
  },
  props: {
    src: {
      type: String,
      default: void 0
    },
    poster: {
      type: String,
      default: void 0
    },
    autoplay: {
      type: Boolean,
      default: false
    },
    muted: {
      type: Boolean,
      default: false
    },
    controls: {
      type: Boolean,
      default: false
    },
    loop: {
      type: Boolean,
      default: false
    },
    width: {
      type: String,
      default: void 0
    },
    height: {
      type: String,
      default: void 0
    },
    playsinline: {
      type: Boolean,
      default: true
    }
  },
  setup(props, { emit }) {
    const youtube = ref(YouTube);
    const state = ref("UNSTARTED");
    const options = computed(() => ({ controls: props.controls ? 1 : 0 }));
    const enableMountYoutubePlayer = ref(false);
    onMounted(async () => {
      created++;
      if (created === 1) {
        enableMountYoutubePlayer.value = true;
      } else if (created > 1) {
        if (window.YT)
          enableMountYoutubePlayer.value = true;
        else {
          await waitUntil(() => !!(window == null ? void 0 : window.YT), 200, 15);
          if (window == null ? void 0 : window.YT)
            enableMountYoutubePlayer.value = true;
        }
      }
    });
    const youtubeSrc = computed(() => props.src && props.playsinline ? `${props.src}${props.src.includes("?") ? "&" : "?"}playsinline=1` : props.src);
    const play = () => {
      var _a, _b, _c;
      if (props.muted)
        (_b = (_a = youtube.value) == null ? void 0 : _a.setVolume) == null ? void 0 : _b.call(_a, 0);
      (_c = youtube.value) == null ? void 0 : _c.playVideo();
    };
    const onStateChange = ({ data }) => {
      var _a, _b;
      state.value = parseState(data);
      if (props.muted)
        (_b = (_a = youtube.value) == null ? void 0 : _a.setVolume) == null ? void 0 : _b.call(_a, 0);
      if (state.value === "ENDED")
        props.loop ? play() : youtube.value.stopVideo();
      emit("change", state.value);
    };
    const onReady = () => {
      if (props.autoplay)
        play();
    };
    const posterSrc = computed(() => urlUtil.prependPrefixIfRelativeUrl(uiComponentConfig.fileUrlPrefix, props.poster));
    return {
      enableMountYoutubePlayer,
      youtubeSrc,
      youtube,
      options,
      state,
      onStateChange,
      onReady,
      play,
      posterSrc
    };
  }
});
const waitUntil = async (condition, intervalMilliseconds = 200, maxTrial = 15) => {
  return await new Promise((resolve) => {
    let tried = 0;
    const interval = setInterval(() => {
      if (tried > maxTrial || condition()) {
        clearInterval(interval);
        resolve(void 0);
      }
      tried++;
    }, intervalMilliseconds);
  });
};
const _hoisted_1$l = ["src"];
function _sfc_render$s(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_YouTube = resolveComponent("YouTube");
  return openBlock(), createElementBlock("div", {
    class: "ui-youtube-player",
    style: normalizeStyle({ width: _ctx.width, height: _ctx.height })
  }, [
    _ctx.enableMountYoutubePlayer && _ctx.youtubeSrc ? (openBlock(), createBlock(_component_YouTube, {
      key: 0,
      class: "youtube",
      ref: "youtube",
      width: "100%",
      height: "100%",
      src: _ctx.youtubeSrc,
      vars: _ctx.options,
      onReady: _ctx.onReady,
      onStateChange: _ctx.onStateChange
    }, null, 8, ["src", "vars", "onReady", "onStateChange"])) : createCommentVNode("", true),
    _ctx.posterSrc ? withDirectives((openBlock(), createElementBlock("img", {
      key: 1,
      class: "thumbnail",
      src: _ctx.posterSrc,
      alt: "youtube",
      onClick: _cache[0] || (_cache[0] = (...args) => _ctx.play && _ctx.play(...args))
    }, null, 8, _hoisted_1$l)), [
      [vShow, _ctx.state !== "PLAYING"]
    ]) : createCommentVNode("", true)
  ], 4);
}
const UiYoutubePlayer = /* @__PURE__ */ _export_sfc(_sfc_main$s, [["render", _sfc_render$s]]);
const _sfc_main$r = defineComponent({
  name: "UiMedia",
  components: { UiYoutubePlayer, UiVideo, UiImage },
  props: {
    fileUrl: {
      type: String,
      default: void 0
    },
    alt: {
      type: String,
      default: void 0
    },
    width: {
      type: String,
      default: void 0
    },
    height: {
      type: String,
      default: void 0
    },
    requestWidth: {
      type: Number,
      default: void 0
    },
    requestHeight: {
      type: Number,
      default: void 0
    },
    loadingWidth: {
      type: String,
      default: void 0
    },
    loadingHeight: {
      type: String,
      default: void 0
    },
    quality: {
      type: Number,
      default: void 0
    },
    lazy: {
      type: Boolean,
      default: void 0
    },
    preventCopy: {
      type: Boolean,
      default: void 0
    },
    useSrcset: {
      type: Boolean,
      default: void 0
    },
    srcsetMaxResolution: {
      type: Number,
      default: void 0
    },
    hideImageOnError: {
      type: Boolean,
      default: void 0
    },
    autoplay: {
      type: Boolean,
      default: void 0
    },
    controls: {
      type: Boolean,
      default: void 0
    },
    loop: {
      type: Boolean,
      default: void 0
    },
    muted: {
      type: Boolean,
      default: void 0
    },
    poster: {
      type: String,
      default: void 0
    },
    youtubeWidth: {
      type: String,
      default: void 0
    },
    youtubeHeight: {
      type: String,
      default: void 0
    }
  },
  setup(props) {
    const mediaType = computed(() => {
      if (props.fileUrl) {
        if (isYoutubeUrl(props.fileUrl)) {
          return "YOUTUBE";
        }
        const ext = props.fileUrl.substring(props.fileUrl.lastIndexOf(".") + 1).toLowerCase();
        if (IMAGE_EXTS.includes(ext)) {
          return "IMAGE";
        } else if (VIDEO_EXTS.includes(ext)) {
          return "VIDEO";
        }
      }
      return "NONE";
    });
    return {
      mediaType
    };
  }
});
const IMAGE_EXTS = ["jpg", "jpeg", "png", "gif", "giff", "webp"];
const VIDEO_EXTS = ["mp4", "m4p", "m4v", "ogg", "ogv", "avi", "mov", "wmv", "webm"];
const isYoutubeUrl = (url) => {
  return url.startsWith("https://youtu") || url.startsWith("https://www.youtu");
};
function _sfc_render$r(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiImage = resolveComponent("UiImage");
  const _component_UiVideo = resolveComponent("UiVideo");
  const _component_UiYoutubePlayer = resolveComponent("UiYoutubePlayer");
  return _ctx.mediaType === "IMAGE" ? (openBlock(), createBlock(_component_UiImage, {
    key: 0,
    "file-url": _ctx.fileUrl,
    alt: _ctx.alt,
    width: _ctx.width,
    height: _ctx.height,
    "request-width": _ctx.requestWidth,
    "request-height": _ctx.requestHeight,
    "loading-width": _ctx.loadingWidth,
    "loading-height": _ctx.loadingHeight,
    quality: _ctx.quality,
    lazy: _ctx.lazy,
    "prevent-copy": _ctx.preventCopy,
    "use-srcset": _ctx.useSrcset,
    "srcset-max-resolution": _ctx.srcsetMaxResolution,
    "hide-image-on-error": _ctx.hideImageOnError
  }, null, 8, ["file-url", "alt", "width", "height", "request-width", "request-height", "loading-width", "loading-height", "quality", "lazy", "prevent-copy", "use-srcset", "srcset-max-resolution", "hide-image-on-error"])) : _ctx.mediaType === "VIDEO" ? (openBlock(), createBlock(_component_UiVideo, {
    key: 1,
    "file-url": _ctx.fileUrl,
    width: _ctx.width,
    height: _ctx.height,
    lazy: _ctx.lazy,
    autoplay: _ctx.autoplay,
    controls: _ctx.controls,
    muted: _ctx.muted,
    loop: _ctx.loop,
    poster: _ctx.poster
  }, null, 8, ["file-url", "width", "height", "lazy", "autoplay", "controls", "muted", "loop", "poster"])) : _ctx.mediaType === "YOUTUBE" ? (openBlock(), createBlock(_component_UiYoutubePlayer, {
    key: 2,
    src: _ctx.fileUrl,
    width: _ctx.youtubeWidth || _ctx.width,
    height: _ctx.youtubeHeight || _ctx.height,
    autoplay: _ctx.autoplay,
    controls: _ctx.controls,
    muted: _ctx.muted,
    loop: _ctx.loop,
    poster: _ctx.poster
  }, null, 8, ["src", "width", "height", "autoplay", "controls", "muted", "loop", "poster"])) : createCommentVNode("", true);
}
const UiMedia = /* @__PURE__ */ _export_sfc(_sfc_main$r, [["render", _sfc_render$r]]);
const _sfc_main$q = defineComponent({
  name: "UiLayout",
  props: {
    full: {
      type: Boolean,
      default: false
    },
    leftAsideWidth: {
      type: String,
      default: "30%"
    },
    rightAsideWidth: {
      type: String,
      default: "30%"
    }
  },
  setup(props, { slots }) {
    const hasLeftAsideSlot = computed(() => !!(slots == null ? void 0 : slots.leftAside));
    const hasRightAsideSlot = computed(() => !!(slots == null ? void 0 : slots.rightAside));
    const mainMaxWidth = computed(() => {
      const left = hasLeftAsideSlot.value ? props.leftAsideWidth : void 0;
      const right = hasRightAsideSlot.value ? props.rightAsideWidth : void 0;
      if (left || right) {
        return `calc(100% ${left ? `- ${left}` : ""} ${right ? `- ${right}` : ""}`;
      } else {
        return "100%";
      }
    });
    return {
      hasLeftAsideSlot,
      hasRightAsideSlot,
      mainMaxWidth
    };
  }
});
function _sfc_render$q(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", {
    class: normalizeClass(["ui-layout", { full: _ctx.full }])
  }, [
    _ctx.hasLeftAsideSlot ? (openBlock(), createElementBlock("aside", {
      key: 0,
      class: "contents-aside",
      style: normalizeStyle({ width: _ctx.leftAsideWidth })
    }, [
      renderSlot(_ctx.$slots, "leftAside")
    ], 4)) : createCommentVNode("", true),
    createElementVNode("div", {
      class: "contents-main",
      style: normalizeStyle({ maxWidth: _ctx.mainMaxWidth })
    }, [
      renderSlot(_ctx.$slots, "default")
    ], 4),
    _ctx.hasRightAsideSlot ? (openBlock(), createElementBlock("aside", {
      key: 1,
      class: "contents-aside",
      style: normalizeStyle({ width: _ctx.rightAsideWidth })
    }, [
      renderSlot(_ctx.$slots, "rightAside")
    ], 4)) : createCommentVNode("", true)
  ], 2);
}
const UiLayout = /* @__PURE__ */ _export_sfc(_sfc_main$q, [["render", _sfc_render$q]]);
const _sfc_main$p = defineComponent({
  name: "UiRadioButton",
  props: {
    id: {
      type: String,
      default: () => generateNextId$1()
    },
    label: {
      type: String,
      default: void 0
    },
    name: {
      type: String,
      default: () => generateNextId$1()
    },
    itemValue: {
      type: [String, Number, Object],
      default: void 0
    },
    modelValue: {
      type: [String, Number, Object],
      default: ""
    },
    disabled: {
      type: Boolean,
      default: false
    }
  },
  emits: {
    "update:modelValue": (value) => true
  },
  setup(props, { emit, slots }) {
    const emitValue = (event) => {
      const radio = event.target;
      if (radio.checked) {
        emit("update:modelValue", props.itemValue);
      }
    };
    const hasLabelSlot = computed(() => !!(slots == null ? void 0 : slots.default));
    return {
      emitValue,
      hasLabelSlot
    };
  }
});
let radioButtonSerial = 1;
const generateNextId$1 = () => `radio_${radioButtonSerial++}`;
const _hoisted_1$k = ["id", "name", "checked", "disabled", "data-item-value"];
const _hoisted_2$c = ["for"];
const _hoisted_3$b = ["for"];
function _sfc_render$p(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", {
    class: normalizeClass(["ui-radio-button", { checked: _ctx.itemValue === _ctx.modelValue }])
  }, [
    createElementVNode("input", {
      class: "icon-font radio",
      type: "radio",
      id: _ctx.id,
      name: _ctx.name,
      checked: _ctx.itemValue === _ctx.modelValue,
      disabled: _ctx.disabled,
      "data-item-value": _ctx.itemValue,
      onChange: _cache[0] || (_cache[0] = (...args) => _ctx.emitValue && _ctx.emitValue(...args))
    }, null, 40, _hoisted_1$k),
    _ctx.label ? (openBlock(), createElementBlock("label", {
      key: 0,
      class: "text-label",
      for: _ctx.id
    }, toDisplayString(_ctx.label), 9, _hoisted_2$c)) : createCommentVNode("", true),
    _ctx.hasLabelSlot ? (openBlock(), createElementBlock("label", {
      key: 1,
      class: "slot-label cursor-pointer",
      for: _ctx.id
    }, [
      renderSlot(_ctx.$slots, "default", {
        disabled: _ctx.disabled,
        itemValue: _ctx.itemValue
      })
    ], 8, _hoisted_3$b)) : createCommentVNode("", true)
  ], 2);
}
const UiRadioButton = /* @__PURE__ */ _export_sfc(_sfc_main$p, [["render", _sfc_render$p]]);
const _sfc_main$o = defineComponent({
  name: "UiCheckbox",
  props: {
    id: {
      type: String,
      default: () => generateNextId()
    },
    label: {
      type: String,
      default: ""
    },
    name: {
      type: String,
      default: () => generateNextId()
    },
    modelValue: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    }
  },
  emits: {
    "update:modelValue": (value) => true
  },
  setup(props, { emit, slots }) {
    const emitValue = (event) => {
      const checkbox = event.target;
      emit("update:modelValue", checkbox.checked);
    };
    const hasLabelSlot = computed(() => !!(slots == null ? void 0 : slots.default));
    return {
      emitValue,
      hasLabelSlot
    };
  }
});
let checkboxSerial = 1;
const generateNextId = () => `checkbox_${checkboxSerial++}`;
const _hoisted_1$j = { class: "ui-checkbox" };
const _hoisted_2$b = ["id", "name", "checked", "disabled"];
const _hoisted_3$a = ["for"];
const _hoisted_4$7 = ["for"];
function _sfc_render$o(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("span", _hoisted_1$j, [
    createElementVNode("input", {
      class: "icon-font check",
      type: "checkbox",
      id: _ctx.id,
      name: _ctx.name,
      checked: _ctx.modelValue,
      disabled: _ctx.disabled,
      onChange: _cache[0] || (_cache[0] = (...args) => _ctx.emitValue && _ctx.emitValue(...args))
    }, null, 40, _hoisted_2$b),
    _ctx.label ? (openBlock(), createElementBlock("label", {
      key: 0,
      class: "text-label",
      for: _ctx.id
    }, toDisplayString(_ctx.label), 9, _hoisted_3$a)) : createCommentVNode("", true),
    _ctx.hasLabelSlot ? (openBlock(), createElementBlock("label", {
      key: 1,
      class: "slot-label cursor-pointer",
      for: _ctx.id
    }, [
      renderSlot(_ctx.$slots, "default", { disabled: _ctx.disabled })
    ], 8, _hoisted_4$7)) : createCommentVNode("", true)
  ]);
}
const UiCheckbox = /* @__PURE__ */ _export_sfc(_sfc_main$o, [["render", _sfc_render$o]]);
const setupBreakpoints = (center, breakpoints = {}) => {
  const result = {};
  for (const key in breakpoints) {
    const breakpoint = key;
    result[MEDIA_QUERIES[breakpoint]] = {
      slides: breakpoints[breakpoint]
    };
  }
  return result;
};
const createDotList = (center, perView, totalSlideLength = 0) => {
  const pv = typeof perView === "number" ? perView : 0;
  const calculate = (a, b) => center ? totalSlideLength : Math.abs(a + 1 - b);
  const createArr = (value) => {
    const arr = [];
    for (let i = 0; i < value; i++)
      arr.push(i);
    return arr;
  };
  return createArr(calculate(totalSlideLength, pv));
};
class AutoplayTimer {
  constructor() {
    __publicField(this, "timer", 0);
    __publicField(this, "paused", ref(false));
  }
  reset(autoplay, autoplayDelay, slideLength, slider) {
    if (this.timer) {
      clearInterval(this.timer);
      this.timer = 0;
    }
    if (autoplay && autoplayDelay) {
      this.timer = window.setInterval(() => {
        if (!document.hidden && slideLength > 1 && autoplay && !this.paused.value) {
          slider == null ? void 0 : slider.next();
        }
      }, autoplayDelay);
    }
  }
  play() {
    this.paused.value = false;
  }
  pause() {
    this.paused.value = true;
  }
  isPaused() {
    return this.paused.value;
  }
}
const _sfc_main$n = defineComponent({
  name: "UiCarousel",
  props: {
    autoplay: {
      type: Boolean,
      default: false
    },
    autoplayDelay: {
      type: Number,
      default: 5e3
    },
    arrow: {
      type: Boolean,
      default: false
    },
    hideDisabledArrow: {
      type: Boolean,
      default: false
    },
    center: {
      type: Boolean,
      default: false
    },
    counter: {
      type: Boolean,
      default: false
    },
    dots: {
      type: Boolean,
      default: false
    },
    mode: {
      type: String,
      default: "snap"
    },
    index: {
      type: Number,
      default: 0
    },
    loop: {
      type: Boolean,
      default: false
    },
    perView: {
      type: [Number, String],
      default: 1
    },
    spacing: {
      type: Number,
      default: 0
    },
    breakpoints: {
      type: Object,
      default: void 0
    },
    vertical: {
      type: Boolean
    }
  },
  emits: ["update:index"],
  expose: ["updateSlider"],
  setup(props, { emit }) {
    const currentIndex = ref(props.index);
    const firstSlideShown = ref(false);
    const lastSlideShown = ref(false);
    const changeFirstLastSlideShown = (slider2) => {
      const progress = slider2.track.details.progress;
      firstSlideShown.value = isNaN(progress) || progress <= 0;
      lastSlideShown.value = isNaN(progress) || progress >= 1;
    };
    const createSliderOptions = () => ({
      selector: ".keen-slider > *",
      initial: currentIndex.value,
      loop: props.loop,
      mode: props.mode,
      breakpoints: props.breakpoints && setupBreakpoints(!!props.center, props.breakpoints),
      slides: {
        origin: props.center ? "center" : "auto",
        perView: props.perView,
        spacing: props.spacing
      },
      vertical: props.vertical,
      slideChanged: (slider2) => {
        currentIndex.value = slider2.track.details.rel;
        changeFirstLastSlideShown(slider2);
        autoplayTimer.reset(props.autoplay, props.autoplayDelay, slideLength.value, slider2);
      },
      created: (slider2) => {
        changeFirstLastSlideShown(slider2);
      },
      animationEnded: (slider2) => {
        changeFirstLastSlideShown(slider2);
      }
    });
    const [container, slider] = useKeenSlider(createSliderOptions());
    const slideLength = computed(() => {
      var _a, _b;
      return ((_b = (_a = slider.value) == null ? void 0 : _a.track.details) == null ? void 0 : _b.slides.length) || 0;
    });
    const updateSlider = () => setTimeout(() => {
      if (slider.value) {
        const options = createSliderOptions();
        options.drag = slideLength.value > 1;
        slider.value.update(options);
        autoplayTimer.reset(props.autoplay, props.autoplayDelay, slideLength.value, slider.value);
        currentIndex.value = slider.value.track.details.rel;
        changeFirstLastSlideShown(slider.value);
        dotList.value = createDotList(props.center, props.perView, slideLength.value);
      }
    });
    const dotList = ref([]);
    const arrowPrevClass = computed(() => ({
      "disabled": !props.loop && firstSlideShown.value,
      "hide-disabled-arrow": props.hideDisabledArrow
    }));
    const arrowNextClass = computed(() => ({
      "disabled": !props.loop && lastSlideShown.value,
      "hide-disabled-arrow": props.hideDisabledArrow
    }));
    watch(() => props.index, () => {
      if (props.index !== currentIndex.value) {
        nextTick(() => {
          var _a;
          return (_a = slider.value) == null ? void 0 : _a.moveToIdx(Number(props.index));
        });
      }
    });
    watch(
      currentIndex,
      () => emit("update:index", currentIndex.value),
      { immediate: true }
    );
    const autoplayTimer = new AutoplayTimer();
    onMounted(() => {
      autoplayTimer.reset(props.autoplay, props.autoplayDelay, slideLength.value, slider.value);
      updateSlider();
    });
    onBeforeUnmount(() => {
      if (slider.value) {
        const destroy = slider.value.destroy;
        slider.value.destroy = () => {
        };
        setTimeout(() => destroy(), 1e3);
      }
    });
    return {
      slideLength,
      container,
      slider,
      currentIndex,
      dotList,
      arrowPrevClass,
      arrowNextClass,
      updateSlider,
      autoplayTimer
    };
  }
});
const _hoisted_1$i = { class: "ui-carousel position-relative" };
const _hoisted_2$a = {
  ref: "container",
  class: "keen-slider"
};
const _hoisted_3$9 = {
  key: 0,
  class: "position-relative"
};
const _hoisted_4$6 = { class: "dots" };
const _hoisted_5$5 = ["onClick"];
const _hoisted_6$3 = /* @__PURE__ */ createElementVNode("path", { d: "M16.67 0l2.83 2.829-9.339 9.175 9.339 9.167-2.83 2.829-12.17-11.996z" }, null, -1);
const _hoisted_7$3 = [
  _hoisted_6$3
];
const _hoisted_8$3 = /* @__PURE__ */ createElementVNode("path", { d: "M5 3l3.057-3 11.943 12-11.943 12-3.057-3 9-9z" }, null, -1);
const _hoisted_9$3 = [
  _hoisted_8$3
];
const _hoisted_10$2 = {
  key: 1,
  class: "position-relative"
};
const _hoisted_11$1 = { class: "counter" };
function _sfc_render$n(_ctx, _cache, $props, $setup, $data, $options) {
  var _a, _b;
  return openBlock(), createElementBlock("div", _hoisted_1$i, [
    createElementVNode("div", _hoisted_2$a, [
      renderSlot(_ctx.$slots, "default")
    ], 512),
    _ctx.dots ? (openBlock(), createElementBlock("div", _hoisted_3$9, [
      renderSlot(_ctx.$slots, "dots", normalizeProps(guardReactiveProps({ dotList: _ctx.dotList, currentIndex: _ctx.currentIndex, slider: _ctx.slider, autoplayTimer: _ctx.autoplayTimer })), () => [
        createElementVNode("div", _hoisted_4$6, [
          (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.dotList, (dot) => {
            return openBlock(), createElementBlock("button", {
              key: dot,
              class: normalizeClass({ dot: true, active: _ctx.currentIndex === dot }),
              onClick: ($event) => {
                var _a2;
                return (_a2 = _ctx.slider) == null ? void 0 : _a2.moveToIdx(dot);
              }
            }, null, 10, _hoisted_5$5);
          }), 128))
        ])
      ])
    ])) : createCommentVNode("", true),
    renderSlot(_ctx.$slots, "arrow-prev", normalizeProps(guardReactiveProps({ prev: (_a = _ctx.slider) == null ? void 0 : _a.prev, arrowPrevClass: _ctx.arrowPrevClass })), () => [
      _ctx.arrow ? (openBlock(), createElementBlock("svg", {
        key: 0,
        viewBox: "0 0 24 24",
        class: normalizeClass(["arrow prev", _ctx.arrowPrevClass]),
        onClick: _cache[0] || (_cache[0] = ($event) => {
          var _a2;
          return _ctx.slideLength > 1 && ((_a2 = _ctx.slider) == null ? void 0 : _a2.prev());
        })
      }, _hoisted_7$3, 2)) : createCommentVNode("", true)
    ]),
    renderSlot(_ctx.$slots, "arrow-next", normalizeProps(guardReactiveProps({ next: (_b = _ctx.slider) == null ? void 0 : _b.next, arrowNextClass: _ctx.arrowNextClass })), () => [
      _ctx.arrow ? (openBlock(), createElementBlock("svg", {
        key: 0,
        viewBox: "0 0 24 24",
        class: normalizeClass(["arrow next", _ctx.arrowNextClass]),
        onClick: _cache[1] || (_cache[1] = ($event) => {
          var _a2;
          return _ctx.slideLength > 1 && ((_a2 = _ctx.slider) == null ? void 0 : _a2.next());
        })
      }, _hoisted_9$3, 2)) : createCommentVNode("", true)
    ]),
    _ctx.counter ? (openBlock(), createElementBlock("div", _hoisted_10$2, [
      renderSlot(_ctx.$slots, "counter", normalizeProps(guardReactiveProps({ page: _ctx.currentIndex + 1, total: _ctx.dotList.length, autoplayTimer: _ctx.autoplayTimer })), () => [
        createElementVNode("div", _hoisted_11$1, toDisplayString(_ctx.currentIndex + 1) + " / " + toDisplayString(_ctx.dotList.length), 1)
      ])
    ])) : createCommentVNode("", true)
  ]);
}
const UiCarousel = /* @__PURE__ */ _export_sfc(_sfc_main$n, [["render", _sfc_render$n]]);
function doFocus(el) {
  el.focus();
}
const focusOnLoad = {
  mounted: (el, binding) => {
    if (binding.value === void 0 || String(binding.value) === "true" || typeof binding.value === "number") {
      if (typeof binding.value === "number") {
        setTimeout(() => doFocus(el), binding.value);
      } else {
        doFocus(el);
      }
    }
  }
};
function doSelect(el) {
  var _a;
  (_a = el.select) == null ? void 0 : _a.call(el);
}
const selectOnLoad = {
  mounted: (el, binding) => {
    if (binding.value === void 0 || String(binding.value) === "true" || typeof binding.value === "number") {
      if (typeof binding.value === "number") {
        setTimeout(() => doSelect(el), binding.value);
      } else {
        doSelect(el);
      }
    }
  }
};
const componentUtil = {
  computeResponsivePlaceholder(placeholder, label) {
    if (placeholder) {
      return placeholder;
    } else if (label && responsiveUtil.isScreenSizeEqualOrSmallerThan("SM")) {
      return label;
    } else {
      return "";
    }
  },
  handleExternalErrorMessage(showErrorMessage, errorMessage, elementId) {
    if (elementId) {
      const el = document.getElementById(elementId);
      if (el) {
        if (!showErrorMessage || !errorMessage || errorMessage.length === 0) {
          el.style.display = "none";
        } else {
          el.style.display = "";
          el.innerText = errorMessage || "";
        }
      }
    }
  }
};
const _sfc_main$m = defineComponent({
  name: "UiFieldGuide"
});
const _hoisted_1$h = { class: "ui-field-guide" };
function _sfc_render$m(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("p", _hoisted_1$h, [
    renderSlot(_ctx.$slots, "default")
  ]);
}
const UiFieldGuide = /* @__PURE__ */ _export_sfc(_sfc_main$m, [["render", _sfc_render$m]]);
const _sfc_main$l = defineComponent({
  name: "UiFieldError"
});
const _hoisted_1$g = { class: "ui-field-error" };
function _sfc_render$l(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("p", _hoisted_1$g, [
    renderSlot(_ctx.$slots, "default")
  ]);
}
const UiFieldError = /* @__PURE__ */ _export_sfc(_sfc_main$l, [["render", _sfc_render$l]]);
const _sfc_main$k = defineComponent({
  name: "UiInputText",
  components: { UiFieldError, UiFieldGuide },
  directives: { focusOnLoad, selectOnLoad },
  props: {
    id: {
      type: String,
      default: () => generateInputTextId()
    },
    inputType: {
      type: String,
      default: "text",
      validator: (value) => ["text", "number"].includes(value)
    },
    placeholder: {
      type: String,
      default: void 0
    },
    placeholderLabel: {
      type: String,
      default: void 0
    },
    name: {
      type: String,
      default: () => generateInputTextName()
    },
    modelValue: {
      type: [String, Number],
      default: ""
    },
    maxlength: {
      type: Number,
      default: void 0
    },
    disabled: {
      type: Boolean,
      default: false
    },
    required: {
      type: Boolean,
      default: false
    },
    guideMessage: {
      type: String,
      default: void 0
    },
    validationMessageRequired: {
      type: String,
      default: () => uiComponentConfig.alertRequired
    },
    validationMessageNumber: {
      type: String,
      default: () => uiComponentConfig.alertNumberOnly
    },
    focusOnLoad: {
      type: [Boolean, Number],
      default: false
    },
    selectOnLoad: {
      type: [Boolean, Number],
      default: false
    },
    externalErrorMessageId: {
      type: String,
      default: void 0
    }
  },
  emits: {
    "update:modelValue": (value) => true
  },
  setup(props, { emit }) {
    const isNumberType = computed(() => props.inputType === "number");
    const normalizeTextValue = (value2, trim) => {
      if (isNumberType.value) {
        return value2 ? String(value2).replace(/\D/g, "") : "";
      } else {
        return trim ? (String(value2) || "").trim() : String(value2) || "";
      }
    };
    const isValid = (value2) => {
      if (props.required && !required(value2)) {
        return props.validationMessageRequired;
      }
      if (isNumberType.value && !numeric(value2)) {
        return props.validationMessageNumber;
      }
      return true;
    };
    const { meta, errorMessage, value, handleChange, handleBlur } = useField(
      props.name,
      isValid,
      {
        initialValue: normalizeTextValue(props.modelValue, true),
        validateOnMount: true,
        syncVModel: false
      }
    );
    const normalizeValue = (event) => {
      const input = event.target;
      input.value = normalizeTextValue(input.value, false);
      handleChange(event, true);
    };
    const emitValue = () => {
      if (meta.valid) {
        emit("update:modelValue", (value.value || "").trim());
      }
    };
    const validationListeners = computed(() => ({
      blur: handleBlur,
      change: emitValue,
      input: normalizeValue
    }));
    watch(() => props.modelValue, () => value.value = normalizeTextValue(props.modelValue, true));
    const showErrorMessage = computed(() => {
      return meta.touched && !meta.valid;
    });
    const computedPlaceholder = computed(() => componentUtil.computeResponsivePlaceholder(props.placeholder, props.placeholderLabel));
    watch([errorMessage, showErrorMessage], () => componentUtil.handleExternalErrorMessage(showErrorMessage.value, errorMessage.value, props.externalErrorMessageId));
    return {
      normalizeValue,
      emitValue,
      validationListeners,
      errorMessage,
      value,
      showErrorMessage,
      computedPlaceholder
    };
  }
});
let inputTextIdSerial = 1;
const generateInputTextId = () => `input-text_${inputTextIdSerial++}`;
let inputTextNameSerial = 1;
const generateInputTextName = () => `input-text-name_${inputTextNameSerial++}`;
const _hoisted_1$f = ["pattern", "maxlength", "id", "name", "placeholder", "disabled"];
function _sfc_render$k(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiFieldGuide = resolveComponent("UiFieldGuide");
  const _component_UiFieldError = resolveComponent("UiFieldError");
  const _directive_focus_on_load = resolveDirective("focus-on-load");
  const _directive_select_on_load = resolveDirective("select-on-load");
  return openBlock(), createElementBlock("div", {
    class: normalizeClass(["ui-input ui-input-text", { active: !!_ctx.value }])
  }, [
    withDirectives(createElementVNode("input", mergeProps({
      type: "text",
      pattern: _ctx.inputType === "number" ? "\\d*" : void 0,
      "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.value = $event),
      maxlength: _ctx.maxlength,
      id: _ctx.id,
      name: _ctx.name,
      placeholder: _ctx.computedPlaceholder,
      disabled: _ctx.disabled
    }, toHandlers(_ctx.validationListeners, true)), null, 16, _hoisted_1$f), [
      [vModelText, _ctx.value],
      [_directive_focus_on_load, _ctx.focusOnLoad],
      [_directive_select_on_load, _ctx.selectOnLoad]
    ]),
    _ctx.guideMessage ? (openBlock(), createBlock(_component_UiFieldGuide, {
      key: 0,
      id: `${_ctx.id}_guide`
    }, {
      default: withCtx(() => [
        createTextVNode(toDisplayString(_ctx.guideMessage), 1)
      ]),
      _: 1
    }, 8, ["id"])) : createCommentVNode("", true),
    !_ctx.externalErrorMessageId && _ctx.showErrorMessage ? (openBlock(), createBlock(_component_UiFieldError, {
      key: 1,
      id: `${_ctx.id}_error`
    }, {
      default: withCtx(() => [
        createTextVNode(toDisplayString(_ctx.errorMessage), 1)
      ]),
      _: 1
    }, 8, ["id"])) : createCommentVNode("", true)
  ], 2);
}
const UiInputText = /* @__PURE__ */ _export_sfc(_sfc_main$k, [["render", _sfc_render$k]]);
const DATE_PATTERN = /* @__PURE__ */ new Map([
  ["DATE", "YYYY-MM-DD"],
  ["MINUTE", "YYYY-MM-DD HH:mm"]
]);
const round = (num, decimalPlace = 2) => Math.round(num * Math.pow(10, decimalPlace)) / Math.pow(10, decimalPlace);
const formatUtil = {
  escapeNewLine(str) {
    return str ? str.replace(/\r\n|\r|\n/g, "<br />") : "";
  },
  escapeHtml(str) {
    return str ? str.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&#039;") : "";
  },
  splitNewLine(str) {
    return str ? str.split(/\r\n|\r|\n/g) : [];
  },
  formatDate(date, pattern = "DATE") {
    if (!date || !pattern) {
      return "";
    }
    if (typeof date === "string") {
      date = dayjs(date);
    }
    const actualPattern = DATE_PATTERN.get(pattern) || pattern;
    return dayjs(date).format(actualPattern);
  },
  formatPrice(value, withUnit = false) {
    if (value !== void 0 && value !== null) {
      const regexp = /\B(?=(\d{3})+(?!\d))/g;
      const formatted = String(value).replace(regexp, ",");
      return withUnit ? `${uiComponentConfig.currencySymbolBefore}${formatted}${uiComponentConfig.currencySymbolAfter}` : formatted;
    }
    return null;
  },
  formatNumber(value = 0) {
    if (value) {
      const regexp = /\B(?=(\d{3})+(?!\d))/g;
      return String(value).replace(regexp, ",");
    }
    return null;
  },
  formatPercent(value, withUnit = true, decimalPlace = 2) {
    return value !== void 0 && value !== null && !isNaN(Number(value)) ? `${round(Number(value) * 100, decimalPlace)}${withUnit ? "%" : ""}` : null;
  },
  formatCreditCardNo(value, separator = "-") {
    var _a;
    return (_a = value.match(/.{1,4}/g)) == null ? void 0 : _a.join(separator);
  },
  toPlainText(textIncludedHTMLElement) {
    const tmp = document.createElement("DIV");
    tmp.innerHTML = textIncludedHTMLElement || "";
    return tmp.textContent || tmp.innerText;
  }
};
const _sfc_main$j = defineComponent({
  name: "UiTextarea",
  components: { UiFieldError, UiFieldGuide },
  directives: { focusOnLoad, selectOnLoad },
  props: {
    id: {
      type: String,
      default: () => generateTextareaId()
    },
    placeholderLabel: {
      type: String,
      default: void 0
    },
    placeholder: {
      type: String,
      default: void 0
    },
    useLabelAsPlaceholder: {
      type: Boolean,
      default: true
    },
    name: {
      type: String,
      default: () => generateTextareaName()
    },
    modelValue: {
      type: [String, Number],
      default: ""
    },
    maxlength: {
      type: Number,
      default: void 0
    },
    disabled: {
      type: Boolean,
      default: false
    },
    required: {
      type: Boolean,
      default: false
    },
    rows: {
      type: Number,
      default: 5
    },
    cols: {
      type: Number,
      default: 20
    },
    showCharCount: {
      type: Boolean,
      default: false
    },
    minCharCount: {
      type: Number,
      default: void 0
    },
    maxCharCount: {
      type: Number,
      default: void 0
    },
    guideMessage: {
      type: String,
      default: void 0
    },
    validationMessageRequired: {
      type: String,
      default: () => uiComponentConfig.alertRequired
    },
    validationMessageMinCharCount: {
      type: [String, Function],
      default: () => uiComponentConfig.alertMinCharCount
    },
    validationMessageMaxCharCount: {
      type: [String, Function],
      default: () => uiComponentConfig.alertMaxCharCount
    },
    focusOnLoad: {
      type: [Boolean, Number],
      default: false
    },
    selectOnLoad: {
      type: [Boolean, Number],
      default: false
    },
    externalErrorMessageId: {
      type: String,
      default: void 0
    }
  },
  emits: {
    "update:modelValue": (value) => true
  },
  setup(props, { emit }) {
    const normalizeTextValue = (value2, trim) => {
      return trim ? (String(value2) || "").trim() : String(value2) || "";
    };
    const isValid = (value2) => {
      if (props.required && !required(value2)) {
        return props.validationMessageRequired;
      }
      if (props.minCharCount && value2.length < props.minCharCount) {
        return typeof props.validationMessageMinCharCount === "function" ? props.validationMessageMinCharCount([formatUtil.formatNumber(props.minCharCount)]) : props.validationMessageMinCharCount;
      }
      if (props.maxCharCount && value2.length > props.maxCharCount) {
        return typeof props.validationMessageMaxCharCount === "function" ? props.validationMessageMaxCharCount([formatUtil.formatNumber(props.maxCharCount)]) : props.validationMessageMaxCharCount;
      }
      return true;
    };
    const { meta, errorMessage, value, handleChange, handleBlur } = useField(
      props.name,
      isValid,
      {
        initialValue: normalizeTextValue(props.modelValue, true),
        validateOnMount: true,
        syncVModel: false
      }
    );
    const normalizeValue = (event) => {
      const input = event.target;
      input.value = normalizeTextValue(input.value, false);
      handleChange(event, true);
    };
    const emitValue = () => {
      if (meta.valid) {
        emit("update:modelValue", (value.value || "").trim());
      }
    };
    const validationListeners = computed(() => ({
      blur: handleBlur,
      change: emitValue,
      input: normalizeValue
    }));
    watch(() => props.modelValue, () => value.value = normalizeTextValue(props.modelValue, true));
    const showErrorMessage = computed(() => {
      return meta.touched && !meta.valid;
    });
    const computedPlaceholder = computed(() => componentUtil.computeResponsivePlaceholder(props.placeholder, props.placeholderLabel));
    const counts = computed(() => {
      var _a;
      const max = formatUtil.formatNumber(props.maxCharCount);
      const cur = formatUtil.formatNumber((_a = value.value) == null ? void 0 : _a.length) || 0;
      return `${cur}/${max}`;
    });
    const countsStyle = computed(() => {
      var _a;
      const len = (_a = value.value) == null ? void 0 : _a.length;
      return props.maxCharCount && len > props.maxCharCount || props.minCharCount && len < props.minCharCount ? "text-danger" : "";
    });
    return {
      normalizeValue,
      emitValue,
      validationListeners,
      errorMessage,
      value,
      showErrorMessage,
      computedPlaceholder,
      counts,
      countsStyle
    };
  }
});
let textareaIdSerial = 1;
const generateTextareaId = () => `textarea_${textareaIdSerial++}`;
let textareaNameSerial = 1;
const generateTextareaName = () => `textarea-name_${textareaNameSerial++}`;
const _hoisted_1$e = ["maxlength", "id", "name", "rows", "cols", "placeholder", "disabled"];
function _sfc_render$j(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiFieldGuide = resolveComponent("UiFieldGuide");
  const _component_UiFieldError = resolveComponent("UiFieldError");
  const _directive_focus_on_load = resolveDirective("focus-on-load");
  const _directive_select_on_load = resolveDirective("select-on-load");
  return openBlock(), createElementBlock("div", {
    class: normalizeClass(["ui-textarea", { active: _ctx.value }])
  }, [
    withDirectives(createElementVNode("textarea", mergeProps({
      "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.value = $event),
      maxlength: _ctx.maxlength,
      id: _ctx.id,
      name: _ctx.name,
      rows: _ctx.rows,
      cols: _ctx.cols,
      placeholder: _ctx.computedPlaceholder,
      disabled: _ctx.disabled
    }, toHandlers(_ctx.validationListeners, true)), null, 16, _hoisted_1$e), [
      [vModelText, _ctx.value],
      [_directive_focus_on_load, _ctx.focusOnLoad],
      [_directive_select_on_load, _ctx.selectOnLoad]
    ]),
    _ctx.showCharCount && _ctx.maxCharCount ? (openBlock(), createElementBlock("span", {
      key: 0,
      class: normalizeClass(["count", _ctx.countsStyle])
    }, toDisplayString(_ctx.counts), 3)) : createCommentVNode("", true),
    _ctx.guideMessage ? (openBlock(), createBlock(_component_UiFieldGuide, {
      key: 1,
      id: `${_ctx.id}_guide`
    }, {
      default: withCtx(() => [
        createTextVNode(toDisplayString(_ctx.guideMessage), 1)
      ]),
      _: 1
    }, 8, ["id"])) : createCommentVNode("", true),
    !_ctx.externalErrorMessageId && _ctx.showErrorMessage ? (openBlock(), createBlock(_component_UiFieldError, {
      key: 2,
      id: `${_ctx.id}_error`
    }, {
      default: withCtx(() => [
        createTextVNode(toDisplayString(_ctx.errorMessage), 1)
      ]),
      _: 1
    }, 8, ["id"])) : createCommentVNode("", true)
  ], 2);
}
const UiTextarea = /* @__PURE__ */ _export_sfc(_sfc_main$j, [["render", _sfc_render$j]]);
const _sfc_main$i = defineComponent({
  name: "UiSelect",
  components: { UiFieldError },
  props: {
    id: {
      type: String,
      default: () => generateSelectId()
    },
    placeholderLabel: {
      type: String,
      default: void 0
    },
    placeholder: {
      type: String,
      default: void 0
    },
    title: {
      type: String,
      default: void 0
    },
    name: {
      type: String,
      default: () => generateSelectName()
    },
    modelValue: {
      type: [String, Number, Object],
      default: ""
    },
    disabled: {
      type: Boolean,
      default: false
    },
    allowNull: {
      type: Boolean,
      default: false
    },
    values: {
      type: Array,
      default: () => []
    },
    valueProperty: {
      type: [String, Function],
      default: void 0
    },
    captionProperty: {
      type: [String, Function],
      default: void 0
    },
    required: {
      type: Boolean,
      default: false
    },
    validationMessageRequired: {
      type: String,
      default: () => uiComponentConfig.alertRequired
    },
    externalErrorMessageId: {
      type: String,
      default: void 0
    }
  },
  emits: {
    "update:modelValue": (value) => true
  },
  setup(props, { emit }) {
    const getItemValue = (value2) => {
      if (props.valueProperty === "_index") {
        return props.values.indexOf(value2);
      } else if (typeof props.valueProperty === "string" && value2 instanceof Object) {
        return value2[String(props.valueProperty)];
      } else if (props.valueProperty instanceof Function) {
        return props.valueProperty.apply(null, [value2]);
      } else {
        return value2;
      }
    };
    const getItemCaption = (value2) => {
      if (props.captionProperty === "_index") {
        return String(props.values.indexOf(value2));
      } else if (typeof props.captionProperty === "string" && value2 instanceof Object) {
        return value2[String(props.captionProperty)];
      } else if (props.captionProperty instanceof Function) {
        return props.captionProperty.apply(null, [value2]);
      } else {
        return String(value2);
      }
    };
    const isValid = (value2) => {
      if (props.required && !required(value2)) {
        return props.validationMessageRequired;
      }
      return true;
    };
    const getSelectedValue = (value2) => {
      const rawValue = toRaw(value2);
      const index = props.values.findIndex((item) => toRaw(getItemValue(item)) === rawValue);
      return index < 0 ? "" : String(index);
    };
    const { meta, errorMessage, value, handleBlur } = useField(
      props.name,
      isValid,
      {
        initialValue: getSelectedValue(props.modelValue),
        validateOnMount: true,
        syncVModel: false
      }
    );
    const emitValue = (event) => {
      const select = event.target;
      const value2 = select.value === "" ? void 0 : getItemValue(props.values[Number(select.value)]);
      emit("update:modelValue", value2);
    };
    const validationListeners = computed(() => ({
      blur: handleBlur,
      change: emitValue
    }));
    watch(() => props.modelValue, () => value.value = getSelectedValue(props.modelValue));
    const showErrorMessage = computed(() => {
      return meta.touched && !meta.valid;
    });
    const computedPlaceholder = computed(() => componentUtil.computeResponsivePlaceholder(props.placeholder, props.placeholderLabel));
    watch([errorMessage, showErrorMessage], () => componentUtil.handleExternalErrorMessage(showErrorMessage.value, errorMessage.value, props.externalErrorMessageId));
    return {
      emitValue,
      value,
      getItemValue,
      getItemCaption,
      validationListeners,
      errorMessage,
      showErrorMessage,
      computedPlaceholder
    };
  }
});
let selectIdSerial = 1;
const generateSelectId = () => `select_${selectIdSerial++}`;
let selectNameSerial = 1;
const generateSelectName = () => `select-name_${selectNameSerial++}`;
const _hoisted_1$d = { class: "position-relative" };
const _hoisted_2$9 = ["id", "name", "title", "value", "disabled"];
const _hoisted_3$8 = ["disabled"];
const _hoisted_4$5 = ["value"];
const _hoisted_5$4 = /* @__PURE__ */ createElementVNode("i", { class: "icon-font arrow-down" }, null, -1);
function _sfc_render$i(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiFieldError = resolveComponent("UiFieldError");
  return openBlock(), createElementBlock("div", {
    class: normalizeClass(["ui-select", { active: !!_ctx.value }])
  }, [
    createElementVNode("div", _hoisted_1$d, [
      createElementVNode("select", mergeProps({
        class: ["icon select", { placeholder: _ctx.value === "" }],
        id: _ctx.id,
        name: _ctx.name,
        title: _ctx.title,
        value: _ctx.value,
        disabled: _ctx.disabled
      }, toHandlers(_ctx.validationListeners, true)), [
        _ctx.allowNull || _ctx.computedPlaceholder ? (openBlock(), createElementBlock("option", {
          key: 0,
          disabled: !_ctx.allowNull,
          value: "",
          class: "placeholder"
        }, toDisplayString(_ctx.computedPlaceholder), 9, _hoisted_3$8)) : createCommentVNode("", true),
        (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.values, (value, index) => {
          return openBlock(), createElementBlock("option", {
            key: `${index}_${String(_ctx.getItemValue(value))}_${_ctx.getItemCaption(value)}`,
            value: index
          }, toDisplayString(_ctx.getItemCaption(value)), 9, _hoisted_4$5);
        }), 128))
      ], 16, _hoisted_2$9),
      _hoisted_5$4
    ]),
    !_ctx.externalErrorMessageId && _ctx.showErrorMessage ? (openBlock(), createBlock(_component_UiFieldError, {
      key: 0,
      id: `${_ctx.id}_error`
    }, {
      default: withCtx(() => [
        createTextVNode(toDisplayString(_ctx.errorMessage), 1)
      ]),
      _: 1
    }, 8, ["id"])) : createCommentVNode("", true)
  ], 2);
}
const UiSelect = /* @__PURE__ */ _export_sfc(_sfc_main$i, [["render", _sfc_render$i]]);
const _sfc_main$h = defineComponent({
  name: "UiDate",
  props: {
    value: {
      type: [Date, String, dayjs],
      default: void 0
    },
    format: {
      type: String,
      default: "DATE"
    }
  },
  setup(props) {
    const formattedValue = computed(() => formatUtil.formatDate(props.value, props.format));
    return {
      formattedValue
    };
  }
});
function _sfc_render$h(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("span", null, toDisplayString(_ctx.formattedValue), 1);
}
const UiDate = /* @__PURE__ */ _export_sfc(_sfc_main$h, [["render", _sfc_render$h]]);
const _sfc_main$g = defineComponent({
  name: "UiPrice",
  props: {
    type: {
      type: String,
      default: "span"
    },
    amount: {
      type: [String, Number],
      default: void 0
    },
    currencyUnit: {
      type: Boolean,
      default: true
    },
    tilde: {
      type: Boolean,
      default: false
    }
  },
  setup(props) {
    const formattedAmount = computed(() => {
      return formatUtil.formatPrice(props.amount);
    });
    const symbolBefore = computed(() => uiComponentConfig.currencySymbolBefore);
    const symbolAfter = computed(() => uiComponentConfig.currencySymbolAfter);
    return {
      formattedAmount,
      symbolBefore,
      symbolAfter
    };
  }
});
const _hoisted_1$c = {
  key: 0,
  class: "currency-unit mr-1"
};
const _hoisted_2$8 = { class: "amount" };
const _hoisted_3$7 = {
  key: 1,
  class: "currency-unit ml-1"
};
const _hoisted_4$4 = {
  key: 2,
  class: "tilde ml-1"
};
function _sfc_render$g(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock(resolveDynamicComponent(_ctx.type), { class: "ui-price" }, {
    default: withCtx(() => [
      _ctx.currencyUnit && _ctx.symbolBefore ? (openBlock(), createElementBlock("span", _hoisted_1$c, toDisplayString(_ctx.symbolBefore), 1)) : createCommentVNode("", true),
      createElementVNode("span", _hoisted_2$8, toDisplayString(_ctx.formattedAmount), 1),
      _ctx.currencyUnit && _ctx.symbolAfter ? (openBlock(), createElementBlock("span", _hoisted_3$7, toDisplayString(_ctx.symbolAfter), 1)) : createCommentVNode("", true),
      _ctx.tilde ? (openBlock(), createElementBlock("span", _hoisted_4$4, "~")) : createCommentVNode("", true)
    ]),
    _: 1
  });
}
const UiPrice = /* @__PURE__ */ _export_sfc(_sfc_main$g, [["render", _sfc_render$g]]);
const _sfc_main$f = defineComponent({
  name: "UiInputText",
  components: { UiFieldError, UiFieldGuide },
  directives: { focusOnLoad, selectOnLoad },
  props: {
    id: {
      type: String,
      default: () => generateInputPriceId()
    },
    placeholderLabel: {
      type: String,
      default: void 0
    },
    placeholder: {
      type: String,
      default: void 0
    },
    useLabelAsPlaceholder: {
      type: Boolean,
      default: true
    },
    name: {
      type: String,
      default: () => generateInputPriceName()
    },
    modelValue: {
      type: [String, Number],
      default: void 0
    },
    maxlength: {
      type: Number,
      default: void 0
    },
    disabled: {
      type: Boolean,
      default: false
    },
    hideCurrencyUnit: {
      type: Boolean,
      default: false
    },
    required: {
      type: Boolean,
      default: false
    },
    guideMessage: {
      type: String,
      default: void 0
    },
    validationMessageRequired: {
      type: String,
      default: () => uiComponentConfig.alertRequired
    },
    focusOnLoad: {
      type: [Boolean, Number],
      default: false
    },
    selectOnLoad: {
      type: [Boolean, Number],
      default: false
    },
    externalErrorMessageId: {
      type: String,
      default: void 0
    }
  },
  emits: {
    "update:modelValue": (value) => true
  },
  setup(props, { emit }) {
    const normalizePriceValue = (value2, format, numberize = false) => {
      const normalized = value2 === 0 ? "0" : value2 ? String(value2).replace(/[^\d.]/g, "") : "";
      const numberized = numberize ? String(Number(normalized || "0")) : normalized;
      return format ? formatUtil.formatPrice(numberized, false) || "" : numberized;
    };
    const isValid = (value2) => {
      if (props.required && !required(value2)) {
        return props.validationMessageRequired;
      }
      return true;
    };
    const { meta, errorMessage, value, handleChange, handleBlur } = useField(
      props.name,
      isValid,
      {
        initialValue: normalizePriceValue(props.modelValue, true, true),
        validateOnMount: true,
        syncVModel: false
      }
    );
    const normalizeValue = (event) => {
      const input = event.target;
      input.value = normalizePriceValue(input.value, false);
      handleChange(event, true);
    };
    const deleteZero = (event) => {
      const input = event.target;
      if (Number(input.value) === 0) {
        input.value = "";
        handleChange(event, true);
      }
    };
    const emitValue = () => {
      if (meta.valid) {
        const priceValue = normalizePriceValue(value.value, false, true);
        if (props.modelValue !== priceValue) {
          emit("update:modelValue", priceValue);
        }
      }
    };
    const validationListeners = computed(() => ({
      blur: (event) => {
        handleBlur(event);
        value.value = normalizePriceValue(value.value, true, true);
      },
      change: emitValue,
      input: normalizeValue,
      focus: (event) => {
        normalizeValue(event);
        deleteZero(event);
      }
    }));
    watch(() => props.modelValue, () => value.value = normalizePriceValue(props.modelValue, true, true));
    const showErrorMessage = computed(() => {
      return meta.touched && !meta.valid;
    });
    const computedPlaceholder = computed(() => componentUtil.computeResponsivePlaceholder(props.placeholder, props.placeholderLabel));
    const currencySymbolAfter = uiComponentConfig.currencySymbolAfter;
    watch([errorMessage, showErrorMessage], () => componentUtil.handleExternalErrorMessage(showErrorMessage.value, errorMessage.value, props.externalErrorMessageId));
    return {
      normalizeValue,
      emitValue,
      validationListeners,
      errorMessage,
      value,
      showErrorMessage,
      computedPlaceholder,
      currencySymbolAfter
    };
  }
});
let inputPriceIdSerial = 1;
const generateInputPriceId = () => `input-price_${inputPriceIdSerial++}`;
let inputPriceNameSerial = 1;
const generateInputPriceName = () => `input-price-name_${inputPriceNameSerial++}`;
const _hoisted_1$b = { class: "position-relative" };
const _hoisted_2$7 = ["maxlength", "id", "name", "placeholder", "disabled"];
const _hoisted_3$6 = {
  key: 0,
  class: "currency-unit"
};
function _sfc_render$f(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiFieldGuide = resolveComponent("UiFieldGuide");
  const _component_UiFieldError = resolveComponent("UiFieldError");
  const _directive_focus_on_load = resolveDirective("focus-on-load");
  const _directive_select_on_load = resolveDirective("select-on-load");
  return openBlock(), createElementBlock("div", {
    class: normalizeClass(["ui-input ui-input-price", { active: !!_ctx.value }])
  }, [
    createElementVNode("div", _hoisted_1$b, [
      withDirectives(createElementVNode("input", mergeProps({
        type: "text",
        pattern: "\\d*",
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.value = $event),
        maxlength: _ctx.maxlength,
        id: _ctx.id,
        name: _ctx.name,
        placeholder: _ctx.computedPlaceholder,
        disabled: _ctx.disabled
      }, toHandlers(_ctx.validationListeners, true)), null, 16, _hoisted_2$7), [
        [vModelText, _ctx.value],
        [_directive_focus_on_load, _ctx.focusOnLoad],
        [_directive_select_on_load, _ctx.selectOnLoad]
      ]),
      !_ctx.hideCurrencyUnit ? (openBlock(), createElementBlock("span", _hoisted_3$6, toDisplayString(_ctx.currencySymbolAfter), 1)) : createCommentVNode("", true)
    ]),
    _ctx.guideMessage ? (openBlock(), createBlock(_component_UiFieldGuide, {
      key: 0,
      id: `${_ctx.id}_guide`
    }, {
      default: withCtx(() => [
        createTextVNode(toDisplayString(_ctx.guideMessage), 1)
      ]),
      _: 1
    }, 8, ["id"])) : createCommentVNode("", true),
    !_ctx.externalErrorMessageId && _ctx.showErrorMessage ? (openBlock(), createBlock(_component_UiFieldError, {
      key: 1,
      id: `${_ctx.id}_error`
    }, {
      default: withCtx(() => [
        createTextVNode(toDisplayString(_ctx.errorMessage), 1)
      ]),
      _: 1
    }, 8, ["id"])) : createCommentVNode("", true)
  ], 2);
}
const UiInputPrice = /* @__PURE__ */ _export_sfc(_sfc_main$f, [["render", _sfc_render$f]]);
const _sfc_main$e = defineComponent({
  name: "UiTooltip",
  components: { UiButton },
  directives: { ClickAway: directive },
  props: {
    caption: {
      type: String,
      default: void 0
    }
  },
  emits: {
    "toggle": (show) => true
  },
  setup(props, { slots, emit }) {
    const showTooltip = ref(false);
    const hasCaptionSlot = computed(() => !!(slots == null ? void 0 : slots.caption));
    const toggleTooltip = () => {
      showTooltip.value = !showTooltip.value;
      emit("toggle", showTooltip.value);
    };
    const closeTooltip = () => {
      showTooltip.value = false;
    };
    return {
      hasCaptionSlot,
      showTooltip,
      toggleTooltip,
      closeTooltip
    };
  }
});
const _hoisted_1$a = { class: "ui-tooltip" };
function _sfc_render$e(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiButton = resolveComponent("UiButton");
  const _directive_click_away = resolveDirective("click-away");
  return withDirectives((openBlock(), createElementBlock("div", _hoisted_1$a, [
    _ctx.hasCaptionSlot ? renderSlot(_ctx.$slots, "caption", {
      key: 0,
      toggle: _ctx.toggleTooltip
    }) : (openBlock(), createBlock(_component_UiButton, {
      key: 1,
      class: "link",
      caption: _ctx.caption,
      onClick: _ctx.toggleTooltip
    }, null, 8, ["caption", "onClick"])),
    _ctx.showTooltip ? renderSlot(_ctx.$slots, "default", {
      key: 2,
      close: _ctx.closeTooltip
    }) : createCommentVNode("", true)
  ])), [
    [_directive_click_away, _ctx.closeTooltip]
  ]);
}
const UiTooltip = /* @__PURE__ */ _export_sfc(_sfc_main$e, [["render", _sfc_render$e]]);
const _sfc_main$d = defineComponent({
  name: "UiInputQty",
  components: { UiButton },
  props: {
    modelValue: {
      type: Number,
      default: void 0
    },
    id: {
      type: String,
      default: () => generateInputQtyId()
    },
    name: {
      type: String,
      default: () => generateInputQtyName()
    },
    title: {
      type: String,
      default: void 0
    },
    minQty: {
      type: Number,
      default: 1
    },
    maxQty: {
      type: Number,
      default: 999
    },
    allowZero: {
      type: Boolean,
      default: false
    },
    extraValues: {
      type: Array,
      default: () => []
    },
    forceInputMode: {
      type: Boolean,
      default: false
    },
    selectQtyCount: {
      type: Number,
      default: 10,
      validator: (value) => value >= 0
    },
    useChangeButton: {
      type: Boolean,
      default: false
    },
    changeButtonCaption: {
      type: String,
      default: () => uiComponentConfig.inputQtyChangeButtonCaption
    },
    disabled: {
      type: Boolean,
      default: false
    },
    captionProvider: {
      type: Function,
      default: void 0
    }
  },
  emits: {
    "input": null,
    "update:modelValue": null
  },
  setup(props, { emit }) {
    const validMinQty = computed(() => Math.max(0, props.minQty || 0));
    const validMaxQty = computed(() => Math.min(isNaN(props.maxQty) ? 999 : props.maxQty, 999));
    const inputThreshold = computed(() => validMinQty.value + props.selectQtyCount);
    const options = computed(() => {
      let result = [];
      if (validMinQty.value < inputThreshold.value) {
        const maxSelect = Math.min(validMaxQty.value + 1, inputThreshold.value);
        result = [...Array(Math.max(0, maxSelect - validMinQty.value)).fill(0)].map((_, idx) => idx + validMinQty.value);
      }
      if (props.allowZero) {
        result.splice(0, 0, 0);
      }
      if (props.extraValues) {
        const belowThreshold = props.extraValues.filter((value) => value < inputThreshold.value);
        result.splice(result.length, 0, ...belowThreshold);
      }
      return result.sort((a, b) => Number(a) - Number(b));
    });
    const extraValuesAboveThreshold = computed(() => props.extraValues.filter((value) => value >= inputThreshold.value));
    const qtyValue = ref(props.modelValue || validMinQty.value);
    const emitChangeEvent = () => emit("update:modelValue", qtyValue.value);
    const needInputMode = computed(() => validMaxQty.value >= inputThreshold.value);
    const inputMode = ref(false);
    const input = ref(null);
    const isExtraValue = (value) => props.extraValues && props.extraValues.includes(value);
    const qtyChanged = (newInputValue, selectInput = false, fireChange = false) => {
      const newValue = Number(newInputValue) || 0;
      if (newInputValue !== "" && !isNaN(Number(newInputValue))) {
        const newInputMode = !isExtraValue(newValue) && (props.forceInputMode || newValue >= inputThreshold.value);
        if (inputMode.value !== newInputMode) {
          inputMode.value = newInputMode;
          if (selectInput && inputMode.value) {
            nextTick(() => {
              var _a;
              return (_a = input.value) == null ? void 0 : _a.select();
            });
          }
        }
      }
      qtyValue.value = newValue;
      emit("input", qtyValue.value);
      if (fireChange && (!inputMode.value || !props.useChangeButton)) {
        emitChangeEvent();
      }
    };
    const qtyChangedByUser = (event) => {
      if (event.target instanceof HTMLInputElement || event.target instanceof HTMLSelectElement) {
        qtyChanged(event.target.value, true, true);
      }
    };
    watch(() => props.modelValue, () => {
      const initial = props.modelValue === void 0 ? props.allowZero ? 0 : validMinQty.value : props.modelValue;
      qtyChanged(initial, false, false);
    }, { immediate: true });
    const getCaption = (value) => props.captionProvider ? props.captionProvider(value) : String(value);
    return {
      needInputMode,
      inputMode,
      inputThreshold,
      input,
      options,
      qtyValue,
      extraValuesAboveThreshold,
      emitChangeEvent,
      qtyChangedByUser,
      getCaption
    };
  }
});
let inputQtyIdSerial = 1;
const generateInputQtyId = () => `input-qty_${inputQtyIdSerial++}`;
let inputQtyNameSerial = 1;
const generateInputQtyName = () => `input-qty_${inputQtyNameSerial++}`;
const _hoisted_1$9 = {
  key: 0,
  class: "d-inline-flex ui-input-qty"
};
const _hoisted_2$6 = { class: "ui-input ui-input-qty flex-grow-1" };
const _hoisted_3$5 = ["id", "name", "title", "disabled", "value"];
const _hoisted_4$3 = {
  key: 1,
  class: "ui-select ui-input-qty"
};
const _hoisted_5$3 = ["id", "name", "title", "value", "disabled"];
const _hoisted_6$2 = ["value"];
const _hoisted_7$2 = ["value"];
const _hoisted_8$2 = ["value"];
const _hoisted_9$2 = /* @__PURE__ */ createElementVNode("i", { class: "icon-font arrow-down" }, null, -1);
function _sfc_render$d(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiButton = resolveComponent("UiButton");
  return _ctx.inputMode ? (openBlock(), createElementBlock("span", _hoisted_1$9, [
    createElementVNode("span", _hoisted_2$6, [
      createElementVNode("input", {
        type: "text",
        inputmode: "numeric",
        ref: "input",
        id: _ctx.id,
        name: _ctx.name,
        title: _ctx.title,
        disabled: _ctx.disabled,
        value: _ctx.qtyValue,
        onChange: _cache[0] || (_cache[0] = (...args) => _ctx.qtyChangedByUser && _ctx.qtyChangedByUser(...args))
      }, null, 40, _hoisted_3$5)
    ]),
    _ctx.useChangeButton ? (openBlock(), createBlock(_component_UiButton, {
      key: 0,
      class: "outline gray",
      caption: _ctx.changeButtonCaption,
      onClick: _ctx.emitChangeEvent
    }, null, 8, ["caption", "onClick"])) : createCommentVNode("", true)
  ])) : (openBlock(), createElementBlock("span", _hoisted_4$3, [
    createElementVNode("select", {
      class: "icon select",
      id: _ctx.id,
      name: _ctx.name,
      title: _ctx.title,
      value: _ctx.qtyValue,
      disabled: _ctx.disabled,
      onChange: _cache[1] || (_cache[1] = (...args) => _ctx.qtyChangedByUser && _ctx.qtyChangedByUser(...args))
    }, [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.options, (qty) => {
        return openBlock(), createElementBlock("option", {
          key: qty,
          value: qty
        }, toDisplayString(_ctx.getCaption(qty)), 9, _hoisted_6$2);
      }), 128)),
      _ctx.needInputMode ? (openBlock(), createElementBlock("option", {
        key: 0,
        value: _ctx.inputThreshold
      }, toDisplayString(_ctx.getCaption(_ctx.inputThreshold)) + "+", 9, _hoisted_7$2)) : createCommentVNode("", true),
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.extraValuesAboveThreshold, (qty) => {
        return openBlock(), createElementBlock("option", {
          key: qty,
          value: qty
        }, toDisplayString(_ctx.getCaption(qty)), 9, _hoisted_8$2);
      }), 128))
    ], 40, _hoisted_5$3),
    _hoisted_9$2
  ]));
}
const UiInputQty = /* @__PURE__ */ _export_sfc(_sfc_main$d, [["render", _sfc_render$d]]);
const TAB_HANDLER = Symbol("TabHandler");
const useTabHandler = () => inject(TAB_HANDLER);
const _sfc_main$c = defineComponent({
  name: "UiTabs",
  components: { UiCarousel },
  props: {
    modelValue: {
      type: String,
      default: void 0
    },
    useCarousel: {
      type: Boolean,
      default: false
    },
    useScrollToTab: {
      type: [Object, Boolean],
      default: void 0
    }
  },
  emits: {
    "update:modelValue": null
  },
  setup(props, { emit }) {
    const carousel = ref();
    const tabs = ref([]);
    const currentTabId = ref(props.modelValue);
    const changeCurrentTabId = (tabId) => {
      if (currentTabId.value !== tabId) {
        currentTabId.value = tabId;
        emit("update:modelValue", tabId, tabs);
      }
    };
    const updateCurrentTabId = () => {
      var _a;
      currentTabId.value = props.modelValue || ((_a = tabs.value[0]) == null ? void 0 : _a.id);
      if (currentTabId.value !== props.modelValue)
        emit("update:modelValue", currentTabId.value, tabs);
    };
    const tabHandler = {
      currentTabId,
      appendTab: (entry) => {
        var _a;
        tabs.value.push(entry);
        (_a = carousel.value) == null ? void 0 : _a.updateSlider();
      },
      removeTab: (entry) => {
        const index = tabs.value.findIndex((item) => item.id === entry.id);
        if (index >= 0) {
          tabs.value.splice(index, 1);
        }
      },
      selectTab: (event) => {
        if (!props.useScrollToTab)
          changeCurrentTabId(event.id);
        tryScrollToTab(event.scrollDestId);
      }
    };
    provide(TAB_HANDLER, tabHandler);
    const getScrollToTabOffset = () => typeof props.useScrollToTab === "object" ? props.useScrollToTab.offset : 0;
    const selectTabByScroll = () => tabs.value.filter((tab) => tab.scrollDestId).forEach((tab) => {
      const element = document.getElementById(tab.scrollDestId);
      if (element) {
        const offsetY = getScrollToTabOffset();
        const { top, bottom } = element.getBoundingClientRect();
        if (top < offsetY && bottom >= offsetY)
          changeCurrentTabId(tab.id);
      }
    });
    const tryScrollToTab = (scrollDestId) => {
      if (!!props.useScrollToTab && scrollDestId) {
        const element = document.getElementById(scrollDestId);
        if (element) {
          const relativeTop = (element == null ? void 0 : element.getBoundingClientRect().top) || 0;
          const absoluteTop = relativeTop + window.scrollY;
          const top = absoluteTop - (getScrollToTabOffset() - 1);
          window.scrollTo({ top, behavior: "smooth" });
        }
      }
    };
    onMounted(() => {
      updateCurrentTabId();
      if (props.useScrollToTab) {
        window.addEventListener("scroll", selectTabByScroll, { passive: true });
      }
    });
    onBeforeUnmount(() => {
      if (props.useScrollToTab) {
        window.removeEventListener("scroll", selectTabByScroll);
      }
    });
    watch(() => props.modelValue, updateCurrentTabId);
    return { carousel };
  }
});
const useRouterTab = (router, route, defaultTabId, paramName = "tab") => {
  const selectedTabId = ref(route.query[paramName]);
  const changeRouterTab = (tabId, tabs) => {
    const query = { ...route.query };
    if (tabId === defaultTabId) {
      delete query[paramName];
    } else {
      query[paramName] = tabId;
    }
    router.push({ path: route.path, query });
  };
  watch(
    () => route.fullPath,
    () => selectedTabId.value = route.query[paramName] || defaultTabId
  );
  return {
    selectedTabId,
    changeRouterTab
  };
};
const _hoisted_1$8 = {
  key: 1,
  class: "ui-tabs max-w-full"
};
function _sfc_render$c(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiCarousel = resolveComponent("UiCarousel");
  return _ctx.useCarousel ? (openBlock(), createBlock(_component_UiCarousel, {
    key: 0,
    class: "ui-tabs max-w-full",
    "hide-disabled-arrow": "",
    "per-view": "auto",
    mode: "free-snap",
    ref: "carousel"
  }, {
    default: withCtx(() => [
      renderSlot(_ctx.$slots, "default")
    ]),
    _: 3
  }, 512)) : (openBlock(), createElementBlock("div", _hoisted_1$8, [
    renderSlot(_ctx.$slots, "default")
  ]));
}
const UiTabs = /* @__PURE__ */ _export_sfc(_sfc_main$c, [["render", _sfc_render$c]]);
const _sfc_main$b = defineComponent({
  name: "UiTab",
  props: {
    id: {
      type: String,
      required: true,
      default: () => generateTabId()
    },
    scrollDestId: {
      type: String,
      default: void 0
    }
  },
  setup(props) {
    const tabHandler = useTabHandler();
    onMounted(() => {
      tabHandler == null ? void 0 : tabHandler.appendTab({ id: props.id, scrollDestId: props.scrollDestId });
    });
    onBeforeUnmount(() => {
      tabHandler == null ? void 0 : tabHandler.removeTab({ id: props.id });
    });
    const selectTab = () => tabHandler == null ? void 0 : tabHandler.selectTab({ id: props.id, scrollDestId: props.scrollDestId });
    const selected = computed(() => tabHandler && tabHandler.currentTabId.value === props.id);
    return {
      selectTab,
      selected
    };
  }
});
let tabIdSerial = 1;
const generateTabId = () => `tab-id_${tabIdSerial++}`;
function _sfc_render$b(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", {
    class: normalizeClass(["ui-tab", { selected: _ctx.selected }]),
    tabindex: "0",
    onClick: _cache[0] || (_cache[0] = (...args) => _ctx.selectTab && _ctx.selectTab(...args)),
    onKeyup: [
      _cache[1] || (_cache[1] = withKeys(withModifiers((...args) => _ctx.selectTab && _ctx.selectTab(...args), ["prevent"]), ["enter"])),
      _cache[2] || (_cache[2] = withKeys(withModifiers((...args) => _ctx.selectTab && _ctx.selectTab(...args), ["prevent"]), ["space"]))
    ]
  }, [
    renderSlot(_ctx.$slots, "default")
  ], 34);
}
const UiTab = /* @__PURE__ */ _export_sfc(_sfc_main$b, [["render", _sfc_render$b]]);
const _sfc_main$a = defineComponent({
  name: "UiPagination",
  props: {
    totalCount: {
      type: Number,
      default: 0
    },
    offset: {
      type: Number,
      default: 0
    },
    limit: {
      type: Number,
      default: 10
    },
    visiblePageCount: {
      type: Number,
      default: 10
    },
    scrollTo: {
      type: [String, Object],
      default: void 0
    },
    scrollBehavior: {
      type: String,
      default: "auto"
    },
    maxPage: {
      type: Number,
      default: void 0
    }
  },
  emits: {
    "pageChanged": (page) => {
      return !!page;
    }
  },
  setup(props, { emit }) {
    const totalPage = computed(() => {
      const totalPage2 = Math.floor((props.totalCount - 1) / props.limit) + 1;
      if (props.totalCount < 1)
        return 1;
      const maxPage = props.maxPage;
      if (maxPage && totalPage2 > maxPage)
        return maxPage;
      return totalPage2 || 0;
    });
    const currentPage = computed(() => {
      return Math.min(Math.floor(props.offset / props.limit) + 1, totalPage.value);
    });
    const currentSetFirstPage = computed(() => {
      return Math.floor((currentPage.value - 1) / props.visiblePageCount) * props.visiblePageCount + 1;
    });
    const currentSetLastPage = computed(() => {
      return Math.min(currentSetFirstPage.value + props.visiblePageCount - 1, totalPage.value);
    });
    const visiblePages = computed(() => {
      if (props.totalCount <= 0)
        return [];
      const first = currentSetFirstPage.value;
      const last = currentSetLastPage.value;
      const pages = Array(last - first + 1);
      for (let i = 0; i < pages.length; i++)
        pages[i] = i + first;
      return pages;
    });
    const prevArrowPage = computed(() => {
      return currentSetFirstPage.value - 1;
    });
    const nextArrowPage = computed(() => {
      return currentSetLastPage.value + 1;
    });
    const isFirstDisabled = computed(() => {
      return currentPage.value <= 1;
    });
    const isLastDisabled = computed(() => {
      return currentPage.value >= totalPage.value;
    });
    const isFirstSet = computed(() => {
      return currentSetFirstPage.value <= 1;
    });
    const isLastSet = computed(() => {
      return currentSetLastPage.value >= totalPage.value;
    });
    const goToPage = (page) => {
      const normalized = Math.max(1, Math.min(page, totalPage.value));
      if (currentPage.value !== normalized) {
        emit("pageChanged", normalized);
        if (props.scrollTo === "top") {
          window.scroll({ top: 0, left: 0, behavior: props.scrollBehavior });
        } else if (typeof props.scrollTo === "string") {
          const ref2 = document.getElementById(props.scrollTo);
          if (ref2) {
            window.scroll({ top: ref2.offsetTop, left: 0, behavior: props.scrollBehavior });
          }
        } else if (props.scrollTo instanceof HTMLElement) {
          window.scroll({ top: props.scrollTo.offsetTop, left: 0, behavior: props.scrollBehavior });
        }
      }
    };
    return {
      totalPage,
      currentPage,
      currentSetFirstPage,
      currentSetLastPage,
      visiblePages,
      prevArrowPage,
      nextArrowPage,
      isFirstDisabled,
      isLastDisabled,
      isFirstSet,
      isLastSet,
      goToPage
    };
  }
});
const _hoisted_1$7 = {
  key: 0,
  class: "ui-pagination"
};
const _hoisted_2$5 = {
  key: 0,
  class: "first",
  disabled: ""
};
const _hoisted_3$4 = /* @__PURE__ */ createElementVNode("i", { class: "icon-font arrow-left-double gray" }, null, -1);
const _hoisted_4$2 = [
  _hoisted_3$4
];
const _hoisted_5$2 = /* @__PURE__ */ createElementVNode("span", null, [
  /* @__PURE__ */ createElementVNode("i", { class: "icon-font arrow-left-double" })
], -1);
const _hoisted_6$1 = [
  _hoisted_5$2
];
const _hoisted_7$1 = {
  key: 2,
  class: "prev",
  disabled: ""
};
const _hoisted_8$1 = /* @__PURE__ */ createElementVNode("i", { class: "icon-font arrow-left gray" }, null, -1);
const _hoisted_9$1 = [
  _hoisted_8$1
];
const _hoisted_10$1 = /* @__PURE__ */ createElementVNode("i", { class: "icon-font arrow-left" }, null, -1);
const _hoisted_11 = [
  _hoisted_10$1
];
const _hoisted_12 = ["onClick", "data-page"];
const _hoisted_13 = {
  key: 4,
  class: "next",
  disabled: ""
};
const _hoisted_14 = /* @__PURE__ */ createElementVNode("i", { class: "icon-font arrow-right gray" }, null, -1);
const _hoisted_15 = [
  _hoisted_14
];
const _hoisted_16 = /* @__PURE__ */ createElementVNode("i", { class: "icon-font arrow-right" }, null, -1);
const _hoisted_17 = [
  _hoisted_16
];
const _hoisted_18 = {
  key: 6,
  class: "last",
  disabled: ""
};
const _hoisted_19 = /* @__PURE__ */ createElementVNode("i", { class: "icon-font arrow-right-double gray" }, null, -1);
const _hoisted_20 = [
  _hoisted_19
];
const _hoisted_21 = /* @__PURE__ */ createElementVNode("i", { class: "icon-font arrow-right-double" }, null, -1);
const _hoisted_22 = [
  _hoisted_21
];
function _sfc_render$a(_ctx, _cache, $props, $setup, $data, $options) {
  return _ctx.visiblePages.length > 0 ? (openBlock(), createElementBlock("div", _hoisted_1$7, [
    _ctx.isFirstSet ? (openBlock(), createElementBlock("button", _hoisted_2$5, _hoisted_4$2)) : (openBlock(), createElementBlock("a", {
      key: 1,
      href: "#",
      class: "first",
      onClick: _cache[0] || (_cache[0] = withModifiers(($event) => _ctx.goToPage(1), ["prevent"]))
    }, _hoisted_6$1)),
    _ctx.isFirstSet ? (openBlock(), createElementBlock("button", _hoisted_7$1, _hoisted_9$1)) : (openBlock(), createElementBlock("a", {
      key: 3,
      href: "#",
      class: "prev",
      onClick: _cache[1] || (_cache[1] = withModifiers(($event) => _ctx.goToPage(_ctx.prevArrowPage), ["prevent"]))
    }, _hoisted_11)),
    (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.visiblePages, (page) => {
      return openBlock(), createElementBlock("a", {
        href: "#",
        key: page,
        onClick: withModifiers(($event) => _ctx.goToPage(page), ["prevent"]),
        "data-page": page,
        class: normalizeClass({ on: page === _ctx.currentPage })
      }, toDisplayString(page), 11, _hoisted_12);
    }), 128)),
    _ctx.isLastSet ? (openBlock(), createElementBlock("button", _hoisted_13, _hoisted_15)) : (openBlock(), createElementBlock("a", {
      key: 5,
      href: "#",
      class: "next",
      onClick: _cache[2] || (_cache[2] = withModifiers(($event) => _ctx.goToPage(_ctx.nextArrowPage), ["prevent"]))
    }, _hoisted_17)),
    _ctx.isLastSet ? (openBlock(), createElementBlock("button", _hoisted_18, _hoisted_20)) : (openBlock(), createElementBlock("a", {
      key: 7,
      href: "#",
      class: "last",
      onClick: _cache[3] || (_cache[3] = withModifiers(($event) => _ctx.goToPage(_ctx.totalPage), ["prevent"]))
    }, _hoisted_22))
  ])) : createCommentVNode("", true);
}
const UiPagination = /* @__PURE__ */ _export_sfc(_sfc_main$a, [["render", _sfc_render$a]]);
class PaginatedList {
  constructor(loading = false) {
    __publicField(this, "data", []);
    __publicField(this, "totalCount", 0);
    __publicField(this, "offset", 0);
    __publicField(this, "limit", 0);
    __publicField(this, "loading");
    this.loading = loading;
  }
  append(list) {
    list.data.forEach((item) => this.data.push(item));
    this.totalCount = list.totalCount;
    this.limit += list.data.length;
    return this;
  }
  prepend(list) {
    list.data.forEach((item) => this.data.unshift(item));
    this.totalCount = list.totalCount;
    this.offset -= list.data.length;
    this.limit += list.limit;
    return this;
  }
  clear() {
    this.data = [];
    this.totalCount = 0;
    this.offset = 0;
    this.limit = 0;
  }
  isLoading() {
    return this.loading;
  }
  isEmpty() {
    return this.data.length === 0;
  }
  static of(data = [], totalCount = void 0, offset = 0, limit = void 0) {
    const paginatedList = new PaginatedList();
    paginatedList.data = data ? data.slice() : [];
    paginatedList.totalCount = Math.max(0, totalCount || paginatedList.data.length);
    paginatedList.offset = Math.max(0, offset);
    paginatedList.limit = Math.max(0, limit || paginatedList.data.length);
    return paginatedList;
  }
  static fromAxiosResponse(response, converter) {
    const actualConverter = converter ? converter : (item) => item;
    const data = response.data && response.data.length ? response.data.map((item) => actualConverter(item)) : [];
    return PaginatedList.of(
      data,
      Number(response.headers["x-total-count"]) || void 0,
      Number(response.headers["x-offset"]) || 0,
      Number(response.headers["x-limit"] || void 0)
    );
  }
  static loading() {
    return new PaginatedList(true);
  }
}
class ListCondition {
  constructor(values, defaultValue) {
    __publicField(this, "values");
    __publicField(this, "defaultValue");
    this.values = values;
    this.defaultValue = defaultValue || values[0];
  }
  toSelectItems(captionProvider) {
    return this.values.map((value) => ({ value, caption: (captionProvider == null ? void 0 : captionProvider(value)) || value }));
  }
  fromRouterQuery(queryValue) {
    const value = String(queryValue);
    return value && this.values.includes(value) ? value : this.defaultValue;
  }
}
const _sfc_main$9 = defineComponent({
  name: "UiScrollListPage",
  components: { UiPagination },
  props: {
    list: {
      type: PaginatedList,
      default: void 0
    },
    listKey: {
      type: String,
      default: void 0
    },
    limit: {
      type: Number,
      default: 10
    },
    visiblePageCount: {
      type: Number,
      default: 10
    },
    useRouter: {
      type: Boolean,
      default: false
    },
    skeletonCount: {
      type: Number,
      default: 3
    },
    itemContainerClass: {
      type: String,
      default: void 0
    },
    skeletonContainerClass: {
      type: String,
      default: void 0
    },
    paginationClass: {
      type: String,
      default: void 0
    },
    loadExplicitly: {
      type: Boolean,
      default: false
    },
    loadOnMount: {
      type: Boolean,
      default: true
    }
  },
  emits: {
    "needList": (request, scrollType) => {
      return !!request;
    },
    "listLoaded": (loadInfo, scrollType) => {
      return !!loadInfo;
    }
  },
  setup(props, { emit }) {
    const isListUndefined = computed(() => !props.list);
    const isListLoading = computed(() => !!props.list && props.list.isLoading());
    const isListLoaded = computed(() => !!props.list && !props.list.isLoading());
    const isListEmpty = computed(() => !!props.list && props.list.isEmpty());
    const route = props.useRouter ? useRoute() : void 0;
    const router = props.useRouter ? useRouter() : void 0;
    let currentPage = 0;
    const loadList = (page) => {
      emit("needList", { offset: (page - 1) * props.limit, limit: props.limit }, "PAGE");
      currentPage = page;
      if (props.useRouter) {
        const query = { ...route == null ? void 0 : route.query, page: page > 1 ? page : void 0 };
        router == null ? void 0 : router.push({ query });
      }
    };
    if (!props.loadExplicitly && props.loadOnMount) {
      onMounted(() => {
        const page = Number(route == null ? void 0 : route.query.page) || 1;
        loadList(page);
      });
    }
    if (props.useRouter) {
      watch(() => route == null ? void 0 : route.query, () => {
        const page = Number(route == null ? void 0 : route.query.page) || 1;
        if (page !== currentPage) {
          loadList(page);
        }
      });
    }
    watch(() => props.list, () => {
      if (props.list && !props.list.isLoading()) {
        emit("listLoaded", {
          totalCount: props.list.totalCount,
          offset: props.list.offset,
          limit: props.list.limit
        }, "PAGE");
      }
    });
    const resetList = () => {
      if (!props.loadExplicitly) {
        loadList(1);
      }
    };
    watch(() => props.listKey, () => resetList());
    return {
      isListUndefined,
      isListLoading,
      isListLoaded,
      isListEmpty,
      loadList
    };
  }
});
function _sfc_render$9(_ctx, _cache, $props, $setup, $data, $options) {
  var _a, _b, _c, _d;
  const _component_UiPagination = resolveComponent("UiPagination");
  return _ctx.isListLoading ? (openBlock(), createElementBlock("div", {
    key: 0,
    class: normalizeClass(["ui-scroll-list-skeletons", _ctx.skeletonContainerClass])
  }, [
    (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.skeletonCount, (n) => {
      return renderSlot(_ctx.$slots, "skeleton", { key: n });
    }), 128))
  ], 2)) : _ctx.isListEmpty ? renderSlot(_ctx.$slots, "empty", { key: 1 }) : _ctx.isListLoaded ? (openBlock(), createElementBlock(Fragment, { key: 2 }, [
    createElementVNode("div", {
      class: normalizeClass(["ui-scroll-list-items", _ctx.itemContainerClass])
    }, [
      (openBlock(true), createElementBlock(Fragment, null, renderList((_a = _ctx.list) == null ? void 0 : _a.data, (item) => {
        return renderSlot(_ctx.$slots, "default", { listItem: item });
      }), 256))
    ], 2),
    createVNode(_component_UiPagination, {
      "total-count": (_b = _ctx.list) == null ? void 0 : _b.totalCount,
      limit: (_c = _ctx.list) == null ? void 0 : _c.limit,
      offset: (_d = _ctx.list) == null ? void 0 : _d.offset,
      "visible-page-count": _ctx.visiblePageCount,
      class: normalizeClass(_ctx.paginationClass),
      onPageChanged: _ctx.loadList
    }, null, 8, ["total-count", "limit", "offset", "visible-page-count", "class", "onPageChanged"])
  ], 64)) : createCommentVNode("", true);
}
const UiScrollListPage = /* @__PURE__ */ _export_sfc(_sfc_main$9, [["render", _sfc_render$9]]);
class TotalList {
  constructor() {
    __publicField(this, "data", []);
    __publicField(this, "totalCount", -1);
    __publicField(this, "loadedCount", -1);
  }
  append(list) {
    if (list) {
      this.totalCount = list.totalCount;
      this.loadedCount = Math.max(list.offset + list.data.length, this.loadedCount);
      list.data.forEach((value, idx) => {
        this.data[list.offset + idx] = value;
      });
    }
  }
  isBeforeInitialized() {
    return this.totalCount < 0;
  }
  isEmpty() {
    return this.totalCount === 0;
  }
  clear() {
    this.data.length = 0;
    this.totalCount = -1;
    this.loadedCount = -1;
  }
  isMoreDataAvailable() {
    return this.totalCount >= 0 && this.totalCount > this.loadedCount;
  }
  static copyOf(src) {
    const copy = new TotalList();
    copy.data = [...src.data];
    copy.totalCount = src.totalCount;
    copy.loadedCount = src.loadedCount;
    return copy;
  }
}
const _sfc_main$8 = defineComponent({
  name: "UiScrollListAppend",
  components: { UiButton },
  directives: { Lazy },
  props: {
    list: {
      type: PaginatedList,
      default: void 0
    },
    listKey: {
      type: String,
      default: void 0
    },
    limit: {
      type: Number,
      default: 10
    },
    appendType: {
      type: String,
      default: "MORE"
    },
    skeletonCount: {
      type: Number,
      default: 3
    },
    itemContainerClass: {
      type: String,
      default: void 0
    },
    skeletonContainerClass: {
      type: String,
      default: void 0
    },
    moreButtonContainerClass: {
      type: String,
      default: void 0
    },
    loadExplicitly: {
      type: Boolean,
      default: false
    },
    loadOnMount: {
      type: Boolean,
      default: true
    }
  },
  emits: {
    "needList": (request, scrollType) => {
      return !!request;
    },
    "listLoaded": (loadInfo, scrollType) => {
      return !!loadInfo;
    }
  },
  setup(props, { emit }) {
    const totalList = reactive(new TotalList());
    const isListUndefined = computed(() => !props.list);
    const isListLoading = computed(() => !!props.list && props.list.isLoading());
    const isListLoaded = computed(() => !!props.list && !props.list.isLoading());
    const isListEmpty = computed(() => isListLoaded.value && totalList.isEmpty());
    const isMoreDataAvailable = computed(() => totalList.isMoreDataAvailable());
    const loadList = () => {
      emit("needList", { offset: Math.max(0, totalList.loadedCount), limit: props.limit }, props.appendType);
    };
    if (!props.loadExplicitly && props.loadOnMount) {
      onMounted(() => loadList());
    }
    watch(() => props.list, () => {
      if (props.list && !props.list.isLoading()) {
        totalList.append(props.list);
        emit("listLoaded", {
          totalCount: totalList.totalCount,
          offset: props.list.offset,
          limit: props.list.limit,
          totalLoaded: totalList.loadedCount,
          totalList
        }, props.appendType);
      }
    });
    const resetTotalList = () => {
      totalList.clear();
      if (!props.loadExplicitly) {
        loadList();
      }
    };
    watch(() => props.listKey, () => resetTotalList());
    const moreCaption = uiComponentConfig.scrollListMoreCaption;
    const moreButtonIcon = uiComponentConfig.scrollListMoreButtonIcon;
    const moreButtonDirection = uiComponentConfig.scrollListMoreButtonDirection;
    return {
      isListUndefined,
      isListLoading,
      isListLoaded,
      isListEmpty,
      isMoreDataAvailable,
      totalList,
      loadList,
      moreCaption,
      moreButtonIcon,
      moreButtonDirection
    };
  }
});
const _hoisted_1$6 = {
  key: 0,
  class: "mb-16"
};
function _sfc_render$8(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiButton = resolveComponent("UiButton");
  const _directive_lazy = resolveDirective("lazy");
  return _ctx.isListEmpty ? renderSlot(_ctx.$slots, "empty", { key: 0 }) : (openBlock(), createElementBlock(Fragment, { key: 1 }, [
    _ctx.totalList.data.length > 0 ? (openBlock(), createElementBlock("div", {
      key: 0,
      class: normalizeClass(["ui-scroll-list-items", _ctx.itemContainerClass])
    }, [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.totalList.data, (item) => {
        return renderSlot(_ctx.$slots, "default", { listItem: item });
      }), 256))
    ], 2)) : createCommentVNode("", true),
    _ctx.isListLoading ? (openBlock(), createElementBlock("div", {
      key: 1,
      class: normalizeClass(["ui-scroll-list-skeletons", _ctx.skeletonContainerClass])
    }, [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.skeletonCount, (n) => {
        return renderSlot(_ctx.$slots, "skeleton", { key: n });
      }), 128))
    ], 2)) : createCommentVNode("", true),
    _ctx.appendType === "MORE" && _ctx.isMoreDataAvailable ? renderSlot(_ctx.$slots, "more", {
      key: 2,
      loadList: _ctx.loadList
    }, () => [
      createElementVNode("div", {
        class: normalizeClass(["ui-scroll-list-buttons", _ctx.moreButtonContainerClass])
      }, [
        createVNode(_component_UiButton, {
          class: "more-button",
          disabled: !_ctx.isListLoaded,
          caption: _ctx.moreCaption,
          icon: _ctx.moreButtonIcon,
          "icon-direction": _ctx.moreButtonDirection,
          onClick: _ctx.loadList
        }, null, 8, ["disabled", "caption", "icon", "icon-direction", "onClick"])
      ], 2)
    ]) : createCommentVNode("", true),
    _ctx.appendType === "INFINITE" && _ctx.isMoreDataAvailable ? (openBlock(), createElementBlock(Fragment, { key: 3 }, [
      _ctx.isListLoaded ? withDirectives((openBlock(), createElementBlock("div", _hoisted_1$6, null, 512)), [
        [_directive_lazy, { enabled: true, onIntersect: _ctx.loadList, once: false }]
      ]) : createCommentVNode("", true)
    ], 64)) : createCommentVNode("", true)
  ], 64));
}
const UiScrollListAppend = /* @__PURE__ */ _export_sfc(_sfc_main$8, [["render", _sfc_render$8]]);
const browserUtil = {
  isMobile() {
    return /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent);
  }
};
const _sfc_main$7 = defineComponent({
  name: "UiScrollList",
  components: { UiScrollListAppend, UiScrollListPage },
  props: {
    list: {
      type: PaginatedList,
      default: void 0
    },
    listKey: {
      type: String,
      default: void 0
    },
    scrollType: {
      type: String,
      default: () => {
        return (browserUtil.isMobile() ? uiComponentConfig.scrollListDefaultScrollTypeMobile : uiComponentConfig.scrollListDefaultScrollTypePc) || uiComponentConfig.scrollListDefaultScrollType || "PAGE";
      }
    },
    limit: {
      type: Number,
      default: void 0
    },
    visiblePageCount: {
      type: Number,
      default: void 0
    },
    useRouter: {
      type: Boolean,
      default: void 0
    },
    skeletonCount: {
      type: Number,
      default: void 0
    },
    itemContainerClass: {
      type: String,
      default: void 0
    },
    skeletonContainerClass: {
      type: String,
      default: void 0
    },
    paginationClass: {
      type: String,
      default: void 0
    },
    moreButtonContainerClass: {
      type: String,
      default: void 0
    },
    loadExplicitly: {
      type: Boolean,
      default: void 0
    },
    loadOnMount: {
      type: Boolean,
      default: void 0
    }
  },
  emits: {
    "needList": (request, scrollType) => {
      return !!request;
    },
    "listLoaded": (loadInfo, scrollType) => {
      return !!loadInfo;
    }
  },
  setup(props, { emit }) {
    const loadList = (request, scrollType) => emit("needList", request, scrollType);
    const listLoaded = (loadInfo, scrollType) => emit("listLoaded", loadInfo, scrollType);
    return {
      loadList,
      listLoaded
    };
  }
});
function _sfc_render$7(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiScrollListPage = resolveComponent("UiScrollListPage");
  const _component_UiScrollListAppend = resolveComponent("UiScrollListAppend");
  return _ctx.scrollType === "PAGE" ? (openBlock(), createBlock(_component_UiScrollListPage, {
    key: 0,
    list: _ctx.list,
    "list-key": _ctx.listKey,
    limit: _ctx.limit,
    "visible-page-count": _ctx.visiblePageCount,
    "use-router": _ctx.useRouter,
    "skeleton-count": _ctx.skeletonCount,
    "item-container-class": _ctx.itemContainerClass,
    "skeleton-container-class": _ctx.skeletonContainerClass,
    "pagination-class": _ctx.paginationClass,
    "load-explicitly": _ctx.loadExplicitly,
    "load-on-mount": _ctx.loadOnMount,
    onNeedList: _ctx.loadList,
    onListLoaded: _ctx.listLoaded
  }, {
    default: withCtx(({ listItem }) => [
      renderSlot(_ctx.$slots, "default", { listItem })
    ]),
    skeleton: withCtx(() => [
      renderSlot(_ctx.$slots, "skeleton")
    ]),
    empty: withCtx(() => [
      renderSlot(_ctx.$slots, "empty")
    ]),
    _: 3
  }, 8, ["list", "list-key", "limit", "visible-page-count", "use-router", "skeleton-count", "item-container-class", "skeleton-container-class", "pagination-class", "load-explicitly", "load-on-mount", "onNeedList", "onListLoaded"])) : _ctx.scrollType === "MORE" || _ctx.scrollType === "INFINITE" ? (openBlock(), createBlock(_component_UiScrollListAppend, {
    key: 1,
    list: _ctx.list,
    "list-key": _ctx.listKey,
    limit: _ctx.limit,
    "skeleton-count": _ctx.skeletonCount,
    "append-type": _ctx.scrollType === "MORE" ? "MORE" : "INFINITE",
    "item-container-class": _ctx.itemContainerClass,
    "skeleton-container-class": _ctx.skeletonContainerClass,
    "more-button-container-class": _ctx.moreButtonContainerClass,
    "load-explicitly": _ctx.loadExplicitly,
    "load-on-mount": _ctx.loadOnMount,
    onNeedList: _ctx.loadList,
    onListLoaded: _ctx.listLoaded
  }, {
    default: withCtx(({ listItem }) => [
      renderSlot(_ctx.$slots, "default", { listItem })
    ]),
    skeleton: withCtx(() => [
      renderSlot(_ctx.$slots, "skeleton")
    ]),
    empty: withCtx(() => [
      renderSlot(_ctx.$slots, "empty")
    ]),
    _: 3
  }, 8, ["list", "list-key", "limit", "skeleton-count", "append-type", "item-container-class", "skeleton-container-class", "more-button-container-class", "load-explicitly", "load-on-mount", "onNeedList", "onListLoaded"])) : createCommentVNode("", true);
}
const UiScrollList = /* @__PURE__ */ _export_sfc(_sfc_main$7, [["render", _sfc_render$7]]);
const serializeDate = (date, format = "YYYYMMDD") => {
  return date ? dayjs(date).format(format) : "";
};
const deserializeDate = (str, endOfDate = false, format = "YYYYMMDD") => {
  if (str) {
    const date = dayjs(str, format);
    return endOfDate ? date.endOf("date").toDate() : date.toDate();
  } else {
    return void 0;
  }
};
const enhanceDatePeriodObject = (period) => {
  period.toString = () => `${serializeDate(period.fromDate) || ""}_${serializeDate(period.toDate)}`;
};
const datePeriodConverter = {
  toQueryString(value) {
    const period = value;
    return `${serializeDate(period == null ? void 0 : period.fromDate)}_${serializeDate(period == null ? void 0 : period.toDate)}`;
  },
  fromQueryString(query) {
    const str = String(Array.isArray(query) ? query[0] : query);
    if (str.includes("_")) {
      const dates = str.split("_");
      return {
        fromDate: deserializeDate(dates[0]),
        toDate: deserializeDate(dates[1], true)
      };
    }
    return void 0;
  }
};
const createDatePeriodByMonths = (months) => {
  const fromDate = dayjs().subtract(months, "month").startOf("date").toDate();
  const toDate = dayjs().endOf("date").toDate();
  return { fromDate, toDate };
};
const getPeriodSearchInitialValue = (monthListItem) => {
  var _a;
  const month = monthListItem || ((_a = uiComponentConfig.periodSearchMonthList) == null ? void 0 : _a[0]);
  return month && month.months ? createDatePeriodByMonths(month.months) : void 0;
};
const DATE_FORMAT = "YYYYMMDD";
const _sfc_main$6 = defineComponent({
  name: "UiPeriodSearch",
  components: { UiButton },
  props: {
    modelValue: {
      type: Object,
      default: void 0
    },
    allowNull: {
      type: Boolean,
      default: false
    },
    monthList: {
      type: Array,
      default: () => uiComponentConfig.periodSearchMonthList
    }
  },
  emits: {
    "update:modelValue": (value) => true
  },
  setup(props, { emit }) {
    const fromDateField = ref();
    const supportsDate = computed(() => {
      var _a;
      return ((_a = fromDateField.value) == null ? void 0 : _a.type) === "date";
    });
    const monthButtons = computed(() => {
      const items = [...props.monthList];
      if (props.allowNull) {
        items.splice(0, 0, { caption: uiComponentConfig.periodSearchAllCaption });
      }
      return items;
    });
    const setMonth = (month) => {
      selectedMonth.value = month;
      if (month.months) {
        toDate.value = dayjs().format(DATE_FORMAT);
        fromDate.value = dayjs().subtract(month.months, "month").format(DATE_FORMAT);
      } else {
        toDate.value = "";
        fromDate.value = "";
      }
      emitModelValue();
    };
    const selectedMonth = ref();
    const resetSelectedMonth = () => {
      if (!props.modelValue || !props.modelValue.fromDate && !props.modelValue.toDate) {
        selectedMonth.value = monthButtons.value.find((button) => !button.months);
      } else if (props.modelValue && props.modelValue.fromDate && props.modelValue.toDate) {
        const modelValueFrom = dayjs(props.modelValue.fromDate).format(DATE_FORMAT);
        const modelValueTo = dayjs(props.modelValue.toDate).format(DATE_FORMAT);
        selectedMonth.value = monthButtons.value.filter((button) => button.months).find((button) => modelValueFrom === dayjs().subtract(button.months || 0, "month").format(DATE_FORMAT) && modelValueTo === dayjs().format(DATE_FORMAT));
      } else {
        selectedMonth.value = void 0;
      }
    };
    const fromDate = ref();
    const toDate = ref();
    const formatDateTypeValue = (date) => supportsDate.value ? dayjs(date, DATE_FORMAT).format("YYYY-MM-DD") : date;
    const formattedFromDate = computed(() => fromDate.value ? formatDateTypeValue(fromDate.value) : "");
    const formattedToDate = computed(() => toDate.value ? formatDateTypeValue(toDate.value) : "");
    const getDateFromEvent = (event) => {
      const input = event.target;
      const value = input.value;
      const date = dayjs(value, DATE_FORMAT);
      if (date.isValid()) {
        return date;
      } else {
        return void 0;
      }
    };
    const changeFromDate = (event) => {
      const value = getDateFromEvent(event);
      fromDate.value = value ? dayjs(value).format(DATE_FORMAT) : "";
      emitModelValue();
    };
    const changeToDate = (event) => {
      const value = getDateFromEvent(event);
      toDate.value = value ? dayjs(value).format(DATE_FORMAT) : "";
      emitModelValue();
    };
    const dateStringFromDate = (date) => date ? dayjs(date).format(DATE_FORMAT) : void 0;
    const emitModelValue = () => {
      var _a, _b;
      const fromString = dateStringFromDate((_a = props.modelValue) == null ? void 0 : _a.fromDate);
      const toString = dateStringFromDate((_b = props.modelValue) == null ? void 0 : _b.toDate);
      if (fromString !== fromDate.value || toString !== toDate.value) {
        const newValue = {
          fromDate: fromDate.value ? dayjs(fromDate.value, DATE_FORMAT).toDate() : void 0,
          toDate: toDate.value ? dayjs(toDate.value, DATE_FORMAT).add(1, "day").subtract(1, "millisecond").toDate() : void 0
        };
        enhanceDatePeriodObject(newValue);
        const actualValue = newValue.fromDate || newValue.toDate ? newValue : void 0;
        emit("update:modelValue", actualValue);
      }
    };
    watch(() => props.modelValue, () => {
      var _a, _b;
      resetSelectedMonth();
      fromDate.value = dateStringFromDate((_a = props.modelValue) == null ? void 0 : _a.fromDate) || "";
      toDate.value = dateStringFromDate((_b = props.modelValue) == null ? void 0 : _b.toDate) || "";
    }, { immediate: true });
    onBeforeMount(() => {
      var _a;
      if (!props.allowNull && (!props.modelValue || !props.modelValue.fromDate && !props.modelValue.toDate) && ((_a = props.monthList) == null ? void 0 : _a.length) > 0) {
        setMonth(props.monthList[0]);
      }
    });
    return {
      fromDateField,
      supportsDate,
      monthButtons,
      setMonth,
      selectedMonth,
      formattedFromDate,
      formattedToDate,
      changeFromDate,
      changeToDate
    };
  }
});
const _hoisted_1$5 = { class: "ui-period-search" };
const _hoisted_2$4 = { class: "ui-button-group months mr-16" };
const _hoisted_3$3 = { class: "date ui-input" };
const _hoisted_4$1 = { class: "date-input" };
const _hoisted_5$1 = ["placeholder", "value"];
const _hoisted_6 = {
  key: 0,
  class: "icon-font calendar"
};
const _hoisted_7 = /* @__PURE__ */ createElementVNode("span", { class: "tilde" }, "~", -1);
const _hoisted_8 = { class: "date-input" };
const _hoisted_9 = ["placeholder", "value"];
const _hoisted_10 = {
  key: 0,
  class: "icon-font calendar"
};
function _sfc_render$6(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiButton = resolveComponent("UiButton");
  return openBlock(), createElementBlock("div", _hoisted_1$5, [
    createElementVNode("div", _hoisted_2$4, [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.monthButtons, (month) => {
        return openBlock(), createBlock(_component_UiButton, {
          key: month.months,
          class: normalizeClass(["month", { selected: _ctx.selectedMonth && _ctx.selectedMonth.months === month.months }]),
          caption: month.caption,
          onClick: ($event) => _ctx.setMonth(month)
        }, null, 8, ["class", "caption", "onClick"]);
      }), 128))
    ]),
    createElementVNode("div", _hoisted_3$3, [
      createElementVNode("span", _hoisted_4$1, [
        createElementVNode("input", {
          ref: "fromDateField",
          type: "date",
          class: "ui-input d-inline",
          placeholder: !_ctx.supportsDate ? "YYYYMMDD" : void 0,
          maxlength: "8",
          value: _ctx.formattedFromDate,
          onChange: _cache[0] || (_cache[0] = (...args) => _ctx.changeFromDate && _ctx.changeFromDate(...args))
        }, null, 40, _hoisted_5$1),
        !_ctx.supportsDate ? (openBlock(), createElementBlock("i", _hoisted_6)) : createCommentVNode("", true)
      ]),
      _hoisted_7,
      createElementVNode("span", _hoisted_8, [
        createElementVNode("input", {
          type: "date",
          class: "ui-input d-inline",
          placeholder: !_ctx.supportsDate ? "YYYYMMDD" : void 0,
          maxlength: "8",
          value: _ctx.formattedToDate,
          onChange: _cache[1] || (_cache[1] = (...args) => _ctx.changeToDate && _ctx.changeToDate(...args))
        }, null, 40, _hoisted_9),
        !_ctx.supportsDate ? (openBlock(), createElementBlock("i", _hoisted_10)) : createCommentVNode("", true)
      ])
    ])
  ]);
}
const UiPeriodSearch = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["render", _sfc_render$6]]);
const _sfc_main$5 = defineComponent({
  name: "UiProcessStep",
  props: {
    steps: {
      type: Array,
      default: () => []
    },
    currentStep: {
      type: String,
      default: void 0
    },
    iconClass: {
      type: String,
      default: () => uiComponentConfig.processStepIconClass
    }
  }
});
const _hoisted_1$4 = { class: "ui-process-step" };
const _hoisted_2$3 = { key: 0 };
const _hoisted_3$2 = { key: 1 };
function _sfc_render$5(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("ul", _hoisted_1$4, [
    (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.steps, (step, index) => {
      return openBlock(), createElementBlock("li", {
        key: step.step
      }, [
        step.step === _ctx.currentStep ? (openBlock(), createElementBlock("strong", _hoisted_2$3, toDisplayString(step.caption), 1)) : (openBlock(), createElementBlock("span", _hoisted_3$2, toDisplayString(step.caption), 1)),
        index !== _ctx.steps.length - 1 ? (openBlock(), createElementBlock("i", {
          key: 2,
          class: normalizeClass(["icon-font", _ctx.iconClass])
        }, null, 2)) : createCommentVNode("", true)
      ]);
    }), 128))
  ]);
}
const UiProcessStep = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["render", _sfc_render$5]]);
const _sfc_main$4 = defineComponent({
  name: "UiInputImages",
  components: { UiButton, UiImage },
  props: {
    modelValue: {
      type: Array,
      default: () => []
    },
    maxCount: {
      type: Number,
      default: 5
    },
    requestWidth: {
      type: Number,
      default: 100
    },
    requestHeight: {
      type: Number,
      default: 100
    }
  },
  emits: {
    "update:modelValue": (value) => true,
    "invalidFileSelected": (errorCode, file) => true
  },
  setup(props, { emit }) {
    const deleteFile = (file) => {
      const value = [...props.modelValue];
      const idx = value.indexOf(file);
      if (idx >= 0) {
        value.splice(idx, 1);
        emit("update:modelValue", value);
      }
    };
    const fileInput = ref();
    const clickSelectFile = () => {
      if (props.modelValue.length < props.maxCount) {
        fileInput.value.click();
      }
    };
    const isValidFile = (file) => {
      var _a;
      if (!((_a = file.type) == null ? void 0 : _a.startsWith("image/"))) {
        emit("invalidFileSelected", "InvalidType", file);
        return false;
      }
      if (file.size > 5242880) {
        emit("invalidFileSelected", "SizeOverflow", file);
        return false;
      }
      return true;
    };
    const selectFile = (event) => {
      var _a;
      const target = event.target;
      const files = target.files;
      if (files) {
        const newImages = [];
        for (let idx = 0; idx < files.length && ((_a = props.modelValue) == null ? void 0 : _a.length) + newImages.length < props.maxCount; ++idx) {
          const file = files[idx];
          if (isValidFile(file)) {
            const newFile = {
              file,
              fileUrl: createUrl(file),
              fileName: file.name
            };
            newImages.push(newFile);
          }
        }
        if (newImages.length > 0) {
          const value = [...props.modelValue, ...newImages];
          emit("update:modelValue", value);
        }
      }
      target.value = "";
    };
    const objectUrls = [];
    const createUrl = (file) => {
      try {
        const url = window.URL.createObjectURL(file);
        objectUrls.push(url);
        return url;
      } catch (err) {
        console.log(err);
        return 'data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg"/>';
      }
    };
    const clearObjectUrls = () => {
      objectUrls.forEach((url) => {
        try {
          window.URL.revokeObjectURL(url);
        } catch (err) {
          console.log(err);
        }
      });
    };
    onUnmounted(clearObjectUrls);
    return {
      deleteFile,
      fileInput,
      selectFile,
      clickSelectFile
    };
  }
});
const _hoisted_1$3 = ["src", "alt"];
const _hoisted_2$2 = /* @__PURE__ */ createElementVNode("i", { class: "icon-font plus" }, null, -1);
const _hoisted_3$1 = [
  _hoisted_2$2
];
function _sfc_render$4(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiImage = resolveComponent("UiImage");
  const _component_UiButton = resolveComponent("UiButton");
  return openBlock(), createBlock(TransitionGroup, {
    tag: "div",
    class: "ui-input-images"
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.modelValue, (file) => {
        return openBlock(), createElementBlock("div", {
          class: "image-container position-relative",
          key: file.fileUrl
        }, [
          file.file ? (openBlock(), createElementBlock("img", {
            key: 0,
            class: "image-new",
            src: file.fileUrl,
            alt: file.fileName
          }, null, 8, _hoisted_1$3)) : (openBlock(), createBlock(_component_UiImage, {
            key: 1,
            class: "image-old",
            "file-url": file.fileUrl,
            alt: file.fileName,
            width: "100%",
            "request-width": _ctx.requestWidth,
            "request-height": _ctx.requestHeight,
            lazy: false
          }, null, 8, ["file-url", "alt", "request-width", "request-height"])),
          createVNode(_component_UiButton, {
            icon: "close",
            class: "sm delete",
            onClick: ($event) => _ctx.deleteFile(file)
          }, null, 8, ["onClick"])
        ]);
      }), 128)),
      _ctx.modelValue.length < _ctx.maxCount ? (openBlock(), createElementBlock("button", {
        type: "button",
        class: "attach-btn",
        onClick: _cache[0] || (_cache[0] = (...args) => _ctx.clickSelectFile && _ctx.clickSelectFile(...args)),
        key: "add-button"
      }, _hoisted_3$1)) : createCommentVNode("", true),
      createElementVNode("input", {
        type: "file",
        key: "file-input",
        ref: "fileInput",
        hidden: "",
        class: "d-none",
        onChange: _cache[1] || (_cache[1] = (...args) => _ctx.selectFile && _ctx.selectFile(...args))
      }, null, 544)
    ]),
    _: 1
  });
}
const UiInputImages = /* @__PURE__ */ _export_sfc(_sfc_main$4, [["render", _sfc_render$4]]);
const _sfc_main$3 = defineComponent({
  name: "UiField"
});
const _hoisted_1$2 = { class: "ui-field" };
function _sfc_render$3(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", _hoisted_1$2, [
    renderSlot(_ctx.$slots, "default")
  ]);
}
const UiField = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["render", _sfc_render$3]]);
const _sfc_main$2 = defineComponent({
  name: "UiLabel",
  props: {
    required: {
      type: Boolean,
      default: void 0
    }
  }
});
const _hoisted_1$1 = { class: "ui-label" };
const _hoisted_2$1 = {
  key: 0,
  class: "required"
};
function _sfc_render$2(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("label", _hoisted_1$1, [
    renderSlot(_ctx.$slots, "default"),
    _ctx.required ? (openBlock(), createElementBlock("sup", _hoisted_2$1, "*")) : createCommentVNode("", true)
  ]);
}
const UiLabel = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["render", _sfc_render$2]]);
function isObject(o) {
  return typeof o === "object" && o !== null && o.constructor && Object.prototype.toString.call(o).slice(8, -1) === "Object";
}
function extend(target, src) {
  const noExtend = ["__proto__", "constructor", "prototype"];
  Object.keys(src).filter((key) => noExtend.indexOf(key) < 0).forEach((key) => {
    if (typeof target[key] === "undefined")
      target[key] = src[key];
    else if (isObject(src[key]) && isObject(target[key]) && Object.keys(src[key]).length > 0) {
      if (src[key].__swiper__)
        target[key] = src[key];
      else
        extend(target[key], src[key]);
    } else {
      target[key] = src[key];
    }
  });
}
function needsNavigation(params = {}) {
  return params.navigation && typeof params.navigation.nextEl === "undefined" && typeof params.navigation.prevEl === "undefined";
}
function needsPagination(params = {}) {
  return params.pagination && typeof params.pagination.el === "undefined";
}
function needsScrollbar(params = {}) {
  return params.scrollbar && typeof params.scrollbar.el === "undefined";
}
function uniqueClasses(classNames = "") {
  const classes = classNames.split(" ").map((c) => c.trim()).filter((c) => !!c);
  const unique = [];
  classes.forEach((c) => {
    if (unique.indexOf(c) < 0)
      unique.push(c);
  });
  return unique.join(" ");
}
const paramsList = [
  "modules",
  "init",
  "_direction",
  "touchEventsTarget",
  "initialSlide",
  "_speed",
  "cssMode",
  "updateOnWindowResize",
  "resizeObserver",
  "nested",
  "focusableElements",
  "_enabled",
  "_width",
  "_height",
  "preventInteractionOnTransition",
  "userAgent",
  "url",
  "_edgeSwipeDetection",
  "_edgeSwipeThreshold",
  "_freeMode",
  "_autoHeight",
  "setWrapperSize",
  "virtualTranslate",
  "_effect",
  "breakpoints",
  "_spaceBetween",
  "_slidesPerView",
  "maxBackfaceHiddenSlides",
  "_grid",
  "_slidesPerGroup",
  "_slidesPerGroupSkip",
  "_slidesPerGroupAuto",
  "_centeredSlides",
  "_centeredSlidesBounds",
  "_slidesOffsetBefore",
  "_slidesOffsetAfter",
  "normalizeSlideIndex",
  "_centerInsufficientSlides",
  "_watchOverflow",
  "roundLengths",
  "touchRatio",
  "touchAngle",
  "simulateTouch",
  "_shortSwipes",
  "_longSwipes",
  "longSwipesRatio",
  "longSwipesMs",
  "_followFinger",
  "allowTouchMove",
  "_threshold",
  "touchMoveStopPropagation",
  "touchStartPreventDefault",
  "touchStartForcePreventDefault",
  "touchReleaseOnEdges",
  "uniqueNavElements",
  "_resistance",
  "_resistanceRatio",
  "_watchSlidesProgress",
  "_grabCursor",
  "preventClicks",
  "preventClicksPropagation",
  "_slideToClickedSlide",
  "_preloadImages",
  "updateOnImagesReady",
  "_loop",
  "_loopAdditionalSlides",
  "_loopedSlides",
  "_loopedSlidesLimit",
  "_loopFillGroupWithBlank",
  "loopPreventsSlide",
  "_rewind",
  "_allowSlidePrev",
  "_allowSlideNext",
  "_swipeHandler",
  "_noSwiping",
  "noSwipingClass",
  "noSwipingSelector",
  "passiveListeners",
  "containerModifierClass",
  "slideClass",
  "slideBlankClass",
  "slideActiveClass",
  "slideDuplicateActiveClass",
  "slideVisibleClass",
  "slideDuplicateClass",
  "slideNextClass",
  "slideDuplicateNextClass",
  "slidePrevClass",
  "slideDuplicatePrevClass",
  "wrapperClass",
  "runCallbacksOnInit",
  "observer",
  "observeParents",
  "observeSlideChildren",
  "a11y",
  "_autoplay",
  "_controller",
  "coverflowEffect",
  "cubeEffect",
  "fadeEffect",
  "flipEffect",
  "creativeEffect",
  "cardsEffect",
  "hashNavigation",
  "history",
  "keyboard",
  "lazy",
  "mousewheel",
  "_navigation",
  "_pagination",
  "parallax",
  "_scrollbar",
  "_thumbs",
  "virtual",
  "zoom"
];
function getParams(obj = {}, splitEvents = true) {
  const params = {
    on: {}
  };
  const events = {};
  const passedParams = {};
  extend(params, Swiper$1.defaults);
  extend(params, Swiper$1.extendedDefaults);
  params._emitClasses = true;
  params.init = false;
  const rest = {};
  const allowedParams = paramsList.map((key) => key.replace(/_/, ""));
  const plainObj = Object.assign({}, obj);
  Object.keys(plainObj).forEach((key) => {
    if (typeof obj[key] === "undefined")
      return;
    if (allowedParams.indexOf(key) >= 0) {
      if (isObject(obj[key])) {
        params[key] = {};
        passedParams[key] = {};
        extend(params[key], obj[key]);
        extend(passedParams[key], obj[key]);
      } else {
        params[key] = obj[key];
        passedParams[key] = obj[key];
      }
    } else if (key.search(/on[A-Z]/) === 0 && typeof obj[key] === "function") {
      if (splitEvents) {
        events[`${key[2].toLowerCase()}${key.substr(3)}`] = obj[key];
      } else {
        params.on[`${key[2].toLowerCase()}${key.substr(3)}`] = obj[key];
      }
    } else {
      rest[key] = obj[key];
    }
  });
  ["navigation", "pagination", "scrollbar"].forEach((key) => {
    if (params[key] === true)
      params[key] = {};
    if (params[key] === false)
      delete params[key];
  });
  return {
    params,
    passedParams,
    rest,
    events
  };
}
function mountSwiper({
  el,
  nextEl,
  prevEl,
  paginationEl,
  scrollbarEl,
  swiper
}, swiperParams) {
  if (needsNavigation(swiperParams) && nextEl && prevEl) {
    swiper.params.navigation.nextEl = nextEl;
    swiper.originalParams.navigation.nextEl = nextEl;
    swiper.params.navigation.prevEl = prevEl;
    swiper.originalParams.navigation.prevEl = prevEl;
  }
  if (needsPagination(swiperParams) && paginationEl) {
    swiper.params.pagination.el = paginationEl;
    swiper.originalParams.pagination.el = paginationEl;
  }
  if (needsScrollbar(swiperParams) && scrollbarEl) {
    swiper.params.scrollbar.el = scrollbarEl;
    swiper.originalParams.scrollbar.el = scrollbarEl;
  }
  swiper.init(el);
}
const calcLoopedSlides = (slides, swiperParams) => {
  let slidesPerViewParams = swiperParams.slidesPerView;
  if (swiperParams.breakpoints) {
    const breakpoint = Swiper$1.prototype.getBreakpoint(swiperParams.breakpoints);
    const breakpointOnlyParams = breakpoint in swiperParams.breakpoints ? swiperParams.breakpoints[breakpoint] : void 0;
    if (breakpointOnlyParams && breakpointOnlyParams.slidesPerView) {
      slidesPerViewParams = breakpointOnlyParams.slidesPerView;
    }
  }
  let loopedSlides = Math.ceil(parseFloat(swiperParams.loopedSlides || slidesPerViewParams, 10));
  loopedSlides += swiperParams.loopAdditionalSlides;
  if (loopedSlides > slides.length && swiperParams.loopedSlidesLimit) {
    loopedSlides = slides.length;
  }
  return loopedSlides;
};
function renderLoop(swiperRef, slides, swiperParams) {
  const modifiedSlides = slides.map((child, index) => {
    if (!child.props)
      child.props = {};
    child.props.swiperRef = swiperRef;
    child.props["data-swiper-slide-index"] = index;
    return child;
  });
  function duplicateSlide(child, index, position) {
    if (!child.props)
      child.props = {};
    return h(child.type, {
      ...child.props,
      key: `${child.key}-duplicate-${index}-${position}`,
      class: `${child.props.className || ""} ${swiperParams.slideDuplicateClass} ${child.props.class || ""}`
    }, child.children);
  }
  if (swiperParams.loopFillGroupWithBlank) {
    const blankSlidesNum = swiperParams.slidesPerGroup - modifiedSlides.length % swiperParams.slidesPerGroup;
    if (blankSlidesNum !== swiperParams.slidesPerGroup) {
      for (let i = 0; i < blankSlidesNum; i += 1) {
        const blankSlide = h("div", {
          class: `${swiperParams.slideClass} ${swiperParams.slideBlankClass}`
        });
        modifiedSlides.push(blankSlide);
      }
    }
  }
  if (swiperParams.slidesPerView === "auto" && !swiperParams.loopedSlides) {
    swiperParams.loopedSlides = modifiedSlides.length;
  }
  const loopedSlides = calcLoopedSlides(modifiedSlides, swiperParams);
  const prependSlides = [];
  const appendSlides = [];
  for (let i = 0; i < loopedSlides; i += 1) {
    const index = i - Math.floor(i / modifiedSlides.length) * modifiedSlides.length;
    appendSlides.push(duplicateSlide(modifiedSlides[index], i, "append"));
    prependSlides.unshift(duplicateSlide(modifiedSlides[modifiedSlides.length - index - 1], i, "prepend"));
  }
  if (swiperRef.value) {
    swiperRef.value.loopedSlides = loopedSlides;
  }
  return [...prependSlides, ...modifiedSlides, ...appendSlides];
}
function getChangedParams(swiperParams, oldParams, children, oldChildren, getKey) {
  const keys = [];
  if (!oldParams)
    return keys;
  const addKey = (key) => {
    if (keys.indexOf(key) < 0)
      keys.push(key);
  };
  if (children && oldChildren) {
    const oldChildrenKeys = oldChildren.map(getKey);
    const childrenKeys = children.map(getKey);
    if (oldChildrenKeys.join("") !== childrenKeys.join(""))
      addKey("children");
    if (oldChildren.length !== children.length)
      addKey("children");
  }
  const watchParams = paramsList.filter((key) => key[0] === "_").map((key) => key.replace(/_/, ""));
  watchParams.forEach((key) => {
    if (key in swiperParams && key in oldParams) {
      if (isObject(swiperParams[key]) && isObject(oldParams[key])) {
        const newKeys = Object.keys(swiperParams[key]);
        const oldKeys = Object.keys(oldParams[key]);
        if (newKeys.length !== oldKeys.length) {
          addKey(key);
        } else {
          newKeys.forEach((newKey) => {
            if (swiperParams[key][newKey] !== oldParams[key][newKey]) {
              addKey(key);
            }
          });
          oldKeys.forEach((oldKey) => {
            if (swiperParams[key][oldKey] !== oldParams[key][oldKey])
              addKey(key);
          });
        }
      } else if (swiperParams[key] !== oldParams[key]) {
        addKey(key);
      }
    }
  });
  return keys;
}
function getChildren(originalSlots, slidesRef, oldSlidesRef) {
  if (originalSlots === void 0) {
    originalSlots = {};
  }
  const slides = [];
  const slots = {
    "container-start": [],
    "container-end": [],
    "wrapper-start": [],
    "wrapper-end": []
  };
  const getSlidesFromElements = (els, slotName) => {
    if (!Array.isArray(els)) {
      return;
    }
    els.forEach((vnode) => {
      const isFragment = typeof vnode.type === "symbol";
      if (slotName === "default")
        slotName = "container-end";
      if (isFragment && vnode.children) {
        getSlidesFromElements(vnode.children, "default");
      } else if (vnode.type && (vnode.type.name === "SwiperSlide" || vnode.type.name === "AsyncComponentWrapper")) {
        slides.push(vnode);
      } else if (slots[slotName]) {
        slots[slotName].push(vnode);
      }
    });
  };
  Object.keys(originalSlots).forEach((slotName) => {
    if (typeof originalSlots[slotName] !== "function")
      return;
    const els = originalSlots[slotName]();
    getSlidesFromElements(els, slotName);
  });
  oldSlidesRef.value = slidesRef.value;
  slidesRef.value = slides;
  return {
    slides,
    slots
  };
}
function updateSwiper({
  swiper,
  slides,
  passedParams,
  changedParams,
  nextEl,
  prevEl,
  scrollbarEl,
  paginationEl
}) {
  const updateParams = changedParams.filter((key) => key !== "children" && key !== "direction");
  const {
    params: currentParams,
    pagination,
    navigation,
    scrollbar,
    virtual,
    thumbs
  } = swiper;
  let needThumbsInit;
  let needControllerInit;
  let needPaginationInit;
  let needScrollbarInit;
  let needNavigationInit;
  if (changedParams.includes("thumbs") && passedParams.thumbs && passedParams.thumbs.swiper && currentParams.thumbs && !currentParams.thumbs.swiper) {
    needThumbsInit = true;
  }
  if (changedParams.includes("controller") && passedParams.controller && passedParams.controller.control && currentParams.controller && !currentParams.controller.control) {
    needControllerInit = true;
  }
  if (changedParams.includes("pagination") && passedParams.pagination && (passedParams.pagination.el || paginationEl) && (currentParams.pagination || currentParams.pagination === false) && pagination && !pagination.el) {
    needPaginationInit = true;
  }
  if (changedParams.includes("scrollbar") && passedParams.scrollbar && (passedParams.scrollbar.el || scrollbarEl) && (currentParams.scrollbar || currentParams.scrollbar === false) && scrollbar && !scrollbar.el) {
    needScrollbarInit = true;
  }
  if (changedParams.includes("navigation") && passedParams.navigation && (passedParams.navigation.prevEl || prevEl) && (passedParams.navigation.nextEl || nextEl) && (currentParams.navigation || currentParams.navigation === false) && navigation && !navigation.prevEl && !navigation.nextEl) {
    needNavigationInit = true;
  }
  const destroyModule = (mod) => {
    if (!swiper[mod])
      return;
    swiper[mod].destroy();
    if (mod === "navigation") {
      currentParams[mod].prevEl = void 0;
      currentParams[mod].nextEl = void 0;
      swiper[mod].prevEl = void 0;
      swiper[mod].nextEl = void 0;
    } else {
      currentParams[mod].el = void 0;
      swiper[mod].el = void 0;
    }
  };
  updateParams.forEach((key) => {
    if (isObject(currentParams[key]) && isObject(passedParams[key])) {
      extend(currentParams[key], passedParams[key]);
    } else {
      const newValue = passedParams[key];
      if ((newValue === true || newValue === false) && (key === "navigation" || key === "pagination" || key === "scrollbar")) {
        if (newValue === false) {
          destroyModule(key);
        }
      } else {
        currentParams[key] = passedParams[key];
      }
    }
  });
  if (updateParams.includes("controller") && !needControllerInit && swiper.controller && swiper.controller.control && currentParams.controller && currentParams.controller.control) {
    swiper.controller.control = currentParams.controller.control;
  }
  if (changedParams.includes("children") && slides && virtual && currentParams.virtual.enabled) {
    virtual.slides = slides;
    virtual.update(true);
  } else if (changedParams.includes("children") && swiper.lazy && swiper.params.lazy.enabled) {
    swiper.lazy.load();
  }
  if (needThumbsInit) {
    const initialized = thumbs.init();
    if (initialized)
      thumbs.update(true);
  }
  if (needControllerInit) {
    swiper.controller.control = currentParams.controller.control;
  }
  if (needPaginationInit) {
    if (paginationEl)
      currentParams.pagination.el = paginationEl;
    pagination.init();
    pagination.render();
    pagination.update();
  }
  if (needScrollbarInit) {
    if (scrollbarEl)
      currentParams.scrollbar.el = scrollbarEl;
    scrollbar.init();
    scrollbar.updateSize();
    scrollbar.setTranslate();
  }
  if (needNavigationInit) {
    if (nextEl)
      currentParams.navigation.nextEl = nextEl;
    if (prevEl)
      currentParams.navigation.prevEl = prevEl;
    navigation.init();
    navigation.update();
  }
  if (changedParams.includes("allowSlideNext")) {
    swiper.allowSlideNext = passedParams.allowSlideNext;
  }
  if (changedParams.includes("allowSlidePrev")) {
    swiper.allowSlidePrev = passedParams.allowSlidePrev;
  }
  if (changedParams.includes("direction")) {
    swiper.changeDirection(passedParams.direction, false);
  }
  swiper.update();
}
function renderVirtual(swiperRef, slides, virtualData) {
  if (!virtualData)
    return null;
  const style = swiperRef.value.isHorizontal() ? {
    [swiperRef.value.rtlTranslate ? "right" : "left"]: `${virtualData.offset}px`
  } : {
    top: `${virtualData.offset}px`
  };
  return slides.filter((slide, index) => index >= virtualData.from && index <= virtualData.to).map((slide) => {
    if (!slide.props)
      slide.props = {};
    if (!slide.props.style)
      slide.props.style = {};
    slide.props.swiperRef = swiperRef;
    slide.props.style = style;
    return h(slide.type, {
      ...slide.props
    }, slide.children);
  });
}
const updateOnVirtualData = (swiper) => {
  if (!swiper || swiper.destroyed || !swiper.params.virtual || swiper.params.virtual && !swiper.params.virtual.enabled)
    return;
  swiper.updateSlides();
  swiper.updateProgress();
  swiper.updateSlidesClasses();
  if (swiper.lazy && swiper.params.lazy.enabled) {
    swiper.lazy.load();
  }
  if (swiper.parallax && swiper.params.parallax && swiper.params.parallax.enabled) {
    swiper.parallax.setTranslate();
  }
};
const Swiper = {
  name: "Swiper",
  props: {
    tag: {
      type: String,
      default: "div"
    },
    wrapperTag: {
      type: String,
      default: "div"
    },
    modules: {
      type: Array,
      default: void 0
    },
    init: {
      type: Boolean,
      default: void 0
    },
    direction: {
      type: String,
      default: void 0
    },
    touchEventsTarget: {
      type: String,
      default: void 0
    },
    initialSlide: {
      type: Number,
      default: void 0
    },
    speed: {
      type: Number,
      default: void 0
    },
    cssMode: {
      type: Boolean,
      default: void 0
    },
    updateOnWindowResize: {
      type: Boolean,
      default: void 0
    },
    resizeObserver: {
      type: Boolean,
      default: void 0
    },
    nested: {
      type: Boolean,
      default: void 0
    },
    focusableElements: {
      type: String,
      default: void 0
    },
    width: {
      type: Number,
      default: void 0
    },
    height: {
      type: Number,
      default: void 0
    },
    preventInteractionOnTransition: {
      type: Boolean,
      default: void 0
    },
    userAgent: {
      type: String,
      default: void 0
    },
    url: {
      type: String,
      default: void 0
    },
    edgeSwipeDetection: {
      type: [Boolean, String],
      default: void 0
    },
    edgeSwipeThreshold: {
      type: Number,
      default: void 0
    },
    autoHeight: {
      type: Boolean,
      default: void 0
    },
    setWrapperSize: {
      type: Boolean,
      default: void 0
    },
    virtualTranslate: {
      type: Boolean,
      default: void 0
    },
    effect: {
      type: String,
      default: void 0
    },
    breakpoints: {
      type: Object,
      default: void 0
    },
    spaceBetween: {
      type: Number,
      default: void 0
    },
    slidesPerView: {
      type: [Number, String],
      default: void 0
    },
    maxBackfaceHiddenSlides: {
      type: Number,
      default: void 0
    },
    slidesPerGroup: {
      type: Number,
      default: void 0
    },
    slidesPerGroupSkip: {
      type: Number,
      default: void 0
    },
    slidesPerGroupAuto: {
      type: Boolean,
      default: void 0
    },
    centeredSlides: {
      type: Boolean,
      default: void 0
    },
    centeredSlidesBounds: {
      type: Boolean,
      default: void 0
    },
    slidesOffsetBefore: {
      type: Number,
      default: void 0
    },
    slidesOffsetAfter: {
      type: Number,
      default: void 0
    },
    normalizeSlideIndex: {
      type: Boolean,
      default: void 0
    },
    centerInsufficientSlides: {
      type: Boolean,
      default: void 0
    },
    watchOverflow: {
      type: Boolean,
      default: void 0
    },
    roundLengths: {
      type: Boolean,
      default: void 0
    },
    touchRatio: {
      type: Number,
      default: void 0
    },
    touchAngle: {
      type: Number,
      default: void 0
    },
    simulateTouch: {
      type: Boolean,
      default: void 0
    },
    shortSwipes: {
      type: Boolean,
      default: void 0
    },
    longSwipes: {
      type: Boolean,
      default: void 0
    },
    longSwipesRatio: {
      type: Number,
      default: void 0
    },
    longSwipesMs: {
      type: Number,
      default: void 0
    },
    followFinger: {
      type: Boolean,
      default: void 0
    },
    allowTouchMove: {
      type: Boolean,
      default: void 0
    },
    threshold: {
      type: Number,
      default: void 0
    },
    touchMoveStopPropagation: {
      type: Boolean,
      default: void 0
    },
    touchStartPreventDefault: {
      type: Boolean,
      default: void 0
    },
    touchStartForcePreventDefault: {
      type: Boolean,
      default: void 0
    },
    touchReleaseOnEdges: {
      type: Boolean,
      default: void 0
    },
    uniqueNavElements: {
      type: Boolean,
      default: void 0
    },
    resistance: {
      type: Boolean,
      default: void 0
    },
    resistanceRatio: {
      type: Number,
      default: void 0
    },
    watchSlidesProgress: {
      type: Boolean,
      default: void 0
    },
    grabCursor: {
      type: Boolean,
      default: void 0
    },
    preventClicks: {
      type: Boolean,
      default: void 0
    },
    preventClicksPropagation: {
      type: Boolean,
      default: void 0
    },
    slideToClickedSlide: {
      type: Boolean,
      default: void 0
    },
    preloadImages: {
      type: Boolean,
      default: void 0
    },
    updateOnImagesReady: {
      type: Boolean,
      default: void 0
    },
    loop: {
      type: Boolean,
      default: void 0
    },
    loopAdditionalSlides: {
      type: Number,
      default: void 0
    },
    loopedSlides: {
      type: Number,
      default: void 0
    },
    loopedSlidesLimit: {
      type: Boolean,
      default: true
    },
    loopFillGroupWithBlank: {
      type: Boolean,
      default: void 0
    },
    loopPreventsSlide: {
      type: Boolean,
      default: void 0
    },
    rewind: {
      type: Boolean,
      default: void 0
    },
    allowSlidePrev: {
      type: Boolean,
      default: void 0
    },
    allowSlideNext: {
      type: Boolean,
      default: void 0
    },
    swipeHandler: {
      type: Boolean,
      default: void 0
    },
    noSwiping: {
      type: Boolean,
      default: void 0
    },
    noSwipingClass: {
      type: String,
      default: void 0
    },
    noSwipingSelector: {
      type: String,
      default: void 0
    },
    passiveListeners: {
      type: Boolean,
      default: void 0
    },
    containerModifierClass: {
      type: String,
      default: void 0
    },
    slideClass: {
      type: String,
      default: void 0
    },
    slideBlankClass: {
      type: String,
      default: void 0
    },
    slideActiveClass: {
      type: String,
      default: void 0
    },
    slideDuplicateActiveClass: {
      type: String,
      default: void 0
    },
    slideVisibleClass: {
      type: String,
      default: void 0
    },
    slideDuplicateClass: {
      type: String,
      default: void 0
    },
    slideNextClass: {
      type: String,
      default: void 0
    },
    slideDuplicateNextClass: {
      type: String,
      default: void 0
    },
    slidePrevClass: {
      type: String,
      default: void 0
    },
    slideDuplicatePrevClass: {
      type: String,
      default: void 0
    },
    wrapperClass: {
      type: String,
      default: void 0
    },
    runCallbacksOnInit: {
      type: Boolean,
      default: void 0
    },
    observer: {
      type: Boolean,
      default: void 0
    },
    observeParents: {
      type: Boolean,
      default: void 0
    },
    observeSlideChildren: {
      type: Boolean,
      default: void 0
    },
    a11y: {
      type: [Boolean, Object],
      default: void 0
    },
    autoplay: {
      type: [Boolean, Object],
      default: void 0
    },
    controller: {
      type: Object,
      default: void 0
    },
    coverflowEffect: {
      type: Object,
      default: void 0
    },
    cubeEffect: {
      type: Object,
      default: void 0
    },
    fadeEffect: {
      type: Object,
      default: void 0
    },
    flipEffect: {
      type: Object,
      default: void 0
    },
    creativeEffect: {
      type: Object,
      default: void 0
    },
    cardsEffect: {
      type: Object,
      default: void 0
    },
    hashNavigation: {
      type: [Boolean, Object],
      default: void 0
    },
    history: {
      type: [Boolean, Object],
      default: void 0
    },
    keyboard: {
      type: [Boolean, Object],
      default: void 0
    },
    lazy: {
      type: [Boolean, Object],
      default: void 0
    },
    mousewheel: {
      type: [Boolean, Object],
      default: void 0
    },
    navigation: {
      type: [Boolean, Object],
      default: void 0
    },
    pagination: {
      type: [Boolean, Object],
      default: void 0
    },
    parallax: {
      type: [Boolean, Object],
      default: void 0
    },
    scrollbar: {
      type: [Boolean, Object],
      default: void 0
    },
    thumbs: {
      type: Object,
      default: void 0
    },
    virtual: {
      type: [Boolean, Object],
      default: void 0
    },
    zoom: {
      type: [Boolean, Object],
      default: void 0
    },
    grid: {
      type: [Object],
      default: void 0
    },
    freeMode: {
      type: [Boolean, Object],
      default: void 0
    },
    enabled: {
      type: Boolean,
      default: void 0
    }
  },
  emits: ["_beforeBreakpoint", "_containerClasses", "_slideClass", "_slideClasses", "_swiper", "_freeModeNoMomentumRelease", "activeIndexChange", "afterInit", "autoplay", "autoplayStart", "autoplayStop", "autoplayPause", "autoplayResume", "beforeDestroy", "beforeInit", "beforeLoopFix", "beforeResize", "beforeSlideChangeStart", "beforeTransitionStart", "breakpoint", "changeDirection", "click", "disable", "doubleTap", "doubleClick", "destroy", "enable", "fromEdge", "hashChange", "hashSet", "imagesReady", "init", "keyPress", "lazyImageLoad", "lazyImageReady", "lock", "loopFix", "momentumBounce", "navigationHide", "navigationShow", "navigationPrev", "navigationNext", "observerUpdate", "orientationchange", "paginationHide", "paginationRender", "paginationShow", "paginationUpdate", "progress", "reachBeginning", "reachEnd", "realIndexChange", "resize", "scroll", "scrollbarDragEnd", "scrollbarDragMove", "scrollbarDragStart", "setTransition", "setTranslate", "slideChange", "slideChangeTransitionEnd", "slideChangeTransitionStart", "slideNextTransitionEnd", "slideNextTransitionStart", "slidePrevTransitionEnd", "slidePrevTransitionStart", "slideResetTransitionStart", "slideResetTransitionEnd", "sliderMove", "sliderFirstMove", "slidesLengthChange", "slidesGridLengthChange", "snapGridLengthChange", "snapIndexChange", "swiper", "tap", "toEdge", "touchEnd", "touchMove", "touchMoveOpposite", "touchStart", "transitionEnd", "transitionStart", "unlock", "update", "virtualUpdate", "zoomChange"],
  setup(props, _ref) {
    let {
      slots: originalSlots,
      emit
    } = _ref;
    const {
      tag: Tag,
      wrapperTag: WrapperTag
    } = props;
    const containerClasses = ref("swiper");
    const virtualData = ref(null);
    const breakpointChanged = ref(false);
    const initializedRef = ref(false);
    const swiperElRef = ref(null);
    const swiperRef = ref(null);
    const oldPassedParamsRef = ref(null);
    const slidesRef = {
      value: []
    };
    const oldSlidesRef = {
      value: []
    };
    const nextElRef = ref(null);
    const prevElRef = ref(null);
    const paginationElRef = ref(null);
    const scrollbarElRef = ref(null);
    const {
      params: swiperParams,
      passedParams
    } = getParams(props, false);
    getChildren(originalSlots, slidesRef, oldSlidesRef);
    oldPassedParamsRef.value = passedParams;
    oldSlidesRef.value = slidesRef.value;
    const onBeforeBreakpoint = () => {
      getChildren(originalSlots, slidesRef, oldSlidesRef);
      breakpointChanged.value = true;
    };
    swiperParams.onAny = function(event) {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }
      emit(event, ...args);
    };
    Object.assign(swiperParams.on, {
      _beforeBreakpoint: onBeforeBreakpoint,
      _containerClasses(swiper, classes) {
        containerClasses.value = classes;
      }
    });
    swiperRef.value = new Swiper$1(swiperParams);
    swiperRef.value.loopCreate = () => {
    };
    swiperRef.value.loopDestroy = () => {
    };
    if (swiperParams.loop) {
      swiperRef.value.loopedSlides = calcLoopedSlides(slidesRef.value, swiperParams);
    }
    if (swiperRef.value.virtual && swiperRef.value.params.virtual.enabled) {
      swiperRef.value.virtual.slides = slidesRef.value;
      const extendWith = {
        cache: false,
        slides: slidesRef.value,
        renderExternal: (data) => {
          virtualData.value = data;
        },
        renderExternalUpdate: false
      };
      extend(swiperRef.value.params.virtual, extendWith);
      extend(swiperRef.value.originalParams.virtual, extendWith);
    }
    onUpdated(() => {
      if (!initializedRef.value && swiperRef.value) {
        swiperRef.value.emitSlidesClasses();
        initializedRef.value = true;
      }
      const {
        passedParams: newPassedParams
      } = getParams(props, false);
      const changedParams = getChangedParams(newPassedParams, oldPassedParamsRef.value, slidesRef.value, oldSlidesRef.value, (c) => c.props && c.props.key);
      oldPassedParamsRef.value = newPassedParams;
      if ((changedParams.length || breakpointChanged.value) && swiperRef.value && !swiperRef.value.destroyed) {
        updateSwiper({
          swiper: swiperRef.value,
          slides: slidesRef.value,
          passedParams: newPassedParams,
          changedParams,
          nextEl: nextElRef.value,
          prevEl: prevElRef.value,
          scrollbarEl: scrollbarElRef.value,
          paginationEl: paginationElRef.value
        });
      }
      breakpointChanged.value = false;
    });
    provide("swiper", swiperRef);
    watch(virtualData, () => {
      nextTick(() => {
        updateOnVirtualData(swiperRef.value);
      });
    });
    onMounted(() => {
      if (!swiperElRef.value)
        return;
      mountSwiper({
        el: swiperElRef.value,
        nextEl: nextElRef.value,
        prevEl: prevElRef.value,
        paginationEl: paginationElRef.value,
        scrollbarEl: scrollbarElRef.value,
        swiper: swiperRef.value
      }, swiperParams);
      emit("swiper", swiperRef.value);
    });
    onBeforeUnmount(() => {
      if (swiperRef.value && !swiperRef.value.destroyed) {
        swiperRef.value.destroy(true, false);
      }
    });
    function renderSlides(slides) {
      if (swiperParams.virtual) {
        return renderVirtual(swiperRef, slides, virtualData.value);
      }
      if (!swiperParams.loop || swiperRef.value && swiperRef.value.destroyed) {
        slides.forEach((slide) => {
          if (!slide.props)
            slide.props = {};
          slide.props.swiperRef = swiperRef;
        });
        return slides;
      }
      return renderLoop(swiperRef, slides, swiperParams);
    }
    return () => {
      const {
        slides,
        slots
      } = getChildren(originalSlots, slidesRef, oldSlidesRef);
      return h(Tag, {
        ref: swiperElRef,
        class: uniqueClasses(containerClasses.value)
      }, [slots["container-start"], h(WrapperTag, {
        class: "swiper-wrapper"
      }, [slots["wrapper-start"], renderSlides(slides), slots["wrapper-end"]]), needsNavigation(props) && [h("div", {
        ref: prevElRef,
        class: "swiper-button-prev"
      }), h("div", {
        ref: nextElRef,
        class: "swiper-button-next"
      })], needsScrollbar(props) && h("div", {
        ref: scrollbarElRef,
        class: "swiper-scrollbar"
      }), needsPagination(props) && h("div", {
        ref: paginationElRef,
        class: "swiper-pagination"
      }), slots["container-end"]]);
    };
  }
};
const createBreakpointOptions = (propBreakpoint) => Object.keys(propBreakpoint).reduce((acc, current) => {
  acc[BREAKPOINTS[current]] = propBreakpoint[current];
  return acc;
}, {});
const _sfc_main$1 = defineComponent({
  name: "UiSwiper",
  components: {
    Swiper
  },
  props: {
    index: Number,
    slidesPerView: {
      type: [Number, String],
      default: 1
    },
    spaceBetween: Number,
    scrollbar: Boolean,
    pagination: [Boolean, Object],
    navigation: [Boolean, Object],
    loop: Boolean,
    autoHeight: Boolean,
    freeMode: [Boolean, Object],
    breakpoints: Object,
    direction: {
      type: String,
      default: "horizontal"
    },
    fade: Boolean,
    autoplay: [Boolean, Object],
    centeredSlides: Boolean,
    slidesPerGroup: Number
  },
  setup(props, { emit }) {
    const swiperRef = ref();
    const swiper = computed(() => {
      var _a, _b;
      return (_b = (_a = swiperRef.value) == null ? void 0 : _a.$el) == null ? void 0 : _b.swiper;
    });
    const currentIndex = ref();
    const setCurrentIndex = () => {
      var _a;
      currentIndex.value = (_a = swiper.value) == null ? void 0 : _a.realIndex;
    };
    const onSlideChange = () => {
      setCurrentIndex();
      emit("update:index", swiper.value.realIndex, swiper.value);
    };
    watch(
      () => props.index,
      (index) => setTimeout(() => {
        if (swiper.value.realIndex !== index)
          swiper.value.slideTo(index || 0);
      })
    );
    const autoplaying = ref();
    const setAutoPlaying = (value) => {
      autoplaying.value = value;
    };
    const breakpointOptions = props.breakpoints ? createBreakpointOptions(props.breakpoints) : void 0;
    return {
      modules: [Navigation, Pagination, Scrollbar, A11y, FreeMode, EffectFade, Autoplay],
      swiperRef,
      swiper,
      onSlideChange,
      currentIndex,
      autoplaying,
      setAutoPlaying,
      breakpointOptions
    };
  }
});
function _sfc_render$1(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_Swiper = resolveComponent("Swiper");
  return openBlock(), createBlock(_component_Swiper, {
    ref: "swiperRef",
    class: "ui-swiper position-relative",
    "initial-slide": _ctx.index,
    modules: _ctx.modules,
    loop: _ctx.loop,
    navigation: _ctx.navigation,
    pagination: _ctx.pagination,
    scrollbar: _ctx.scrollbar && { draggable: true },
    "slides-per-view": _ctx.slidesPerView,
    "space-between": _ctx.spaceBetween,
    "auto-height": _ctx.autoHeight,
    breakpoints: _ctx.breakpointOptions,
    "free-mode": _ctx.freeMode,
    effect: _ctx.fade ? "fade" : void 0,
    autoplay: _ctx.autoplay,
    centeredSlides: _ctx.centeredSlides,
    "loop-additional-slides": 30,
    "rounded-lengths": true,
    "slides-per-group": _ctx.slidesPerGroup,
    direction: _ctx.direction,
    onSlideChange: _ctx.onSlideChange,
    onAutoplayStart: _cache[0] || (_cache[0] = ($event) => _ctx.setAutoPlaying(true)),
    onAutoplayStop: _cache[1] || (_cache[1] = ($event) => _ctx.setAutoPlaying(false))
  }, {
    default: withCtx(() => [
      renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ index: _ctx.currentIndex, autoplaying: _ctx.autoplaying, swiper: _ctx.swiper }))),
      renderSlot(_ctx.$slots, "custom-pagination", normalizeProps(guardReactiveProps({ index: _ctx.currentIndex, autoplaying: _ctx.autoplaying, swiper: _ctx.swiper })))
    ]),
    _: 3
  }, 8, ["initial-slide", "modules", "loop", "navigation", "pagination", "scrollbar", "slides-per-view", "space-between", "auto-height", "breakpoints", "free-mode", "effect", "autoplay", "centeredSlides", "slides-per-group", "direction", "onSlideChange"]);
}
const UiSwiper = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["render", _sfc_render$1]]);
class ScrollListKey {
  constructor(params) {
    __publicField(this, "forceUpdate", ref(0));
    this.params = params;
  }
  setParams(params) {
    this.params = params;
  }
  forceRefresh() {
    this.forceUpdate.value++;
  }
  key() {
    var _a;
    const key = ((_a = this.params) == null ? void 0 : _a.map((param) => param.value).map((value) => value ? value.toString() : "").join("_")) || "";
    return key + (this.forceUpdate.value > 0 ? `_${this.forceUpdate.value}` : "");
  }
}
class ScrollListFilter {
  constructor(params) {
    __publicField(this, "queryRef", ref(""));
    this.params = params;
  }
  setParams(params) {
    this.params = params;
  }
  createUrlQuery(locationQuery) {
    const nonFilter = this.extractNonFilterQuery(locationQuery);
    const filter = this.createRequestQuery();
    return { ...nonFilter, ...filter };
  }
  static isQueryEqual(query1, query2) {
    return JSON.stringify(query1, Object.keys(query1).sort()) === JSON.stringify(query2, Object.keys(query2).sort());
  }
  createRequestQuery() {
    var _a;
    const query = {};
    (_a = this.params) == null ? void 0 : _a.filter((param) => param.value.value && param.value.value !== param.defaultValue).forEach((param) => {
      const queryValue = this.convertToQuery(param);
      if (queryValue)
        query[param.name] = queryValue;
    });
    return query;
  }
  extractNonFilterQuery(query) {
    var _a;
    const filterNames = ((_a = this.params) == null ? void 0 : _a.map((param) => param.name)) || [];
    return Object.keys(query || []).reduce((acc, current) => {
      if (!filterNames.includes(current))
        acc[current] = (query == null ? void 0 : query[current]) || "";
      return acc;
    }, {});
  }
  syncUrlQuery(locationQuery) {
    var _a;
    (_a = this.params) == null ? void 0 : _a.forEach((param) => {
      const queryValue = locationQuery[param.name];
      param.value.value = this.convertFromQuery(param, queryValue);
    });
    const query = this.createRequestQuery();
    this.queryRef.value = Object.keys(query).length == 0 ? "" : JSON.stringify(query);
  }
  convertToQuery(param) {
    var _a;
    const value = param.value.value;
    if (!value || JSON.stringify(value) === JSON.stringify(param.defaultValue)) {
      return void 0;
    } else if ((_a = param.queryConverter) == null ? void 0 : _a.toQueryString) {
      return param.queryConverter.toQueryString(value);
    } else {
      return value.toString();
    }
  }
  convertFromQuery(param, queryValue) {
    var _a, _b;
    if (!queryValue) {
      return param.defaultValue;
    } else if ((_a = param.queryConverter) == null ? void 0 : _a.fromQueryString) {
      return (_b = param.queryConverter) == null ? void 0 : _b.fromQueryString(queryValue);
    } else {
      return String(queryValue);
    }
  }
  createListKey() {
    return new ScrollListKey([this.queryRef]);
  }
  getParamValues() {
    var _a;
    const result = {};
    (_a = this.params) == null ? void 0 : _a.forEach((param) => result[param.name] = param.value || param.defaultValue);
    return result;
  }
}
const numberQueryConverter = {
  toQueryString(value) {
    return String(value);
  },
  fromQueryString(query) {
    const value = Array.isArray(query) ? String(query[0]) : String(query);
    return Number(value);
  }
};
const vueLoading = "";
const defaultProps = {
  color: "#3f51b5",
  loader: "spinner"
};
const inBrowser = typeof process === "undefined";
class LoadingOverlayGuard {
  constructor() {
    __publicField(this, "loadingOverlay", useLoading(defaultProps));
    __publicField(this, "showCount", 0);
    __publicField(this, "loader");
  }
  show() {
    if (inBrowser) {
      if (this.showCount <= 0) {
        this.loader = this.loadingOverlay.show();
      }
      ++this.showCount;
    }
  }
  hide() {
    if (this.showCount > 0) {
      --this.showCount;
      if (this.showCount <= 0 && this.loader) {
        this.loader.hide();
        this.loader = void 0;
      }
    }
  }
}
const defaultLoadingOverlayGuard = new LoadingOverlayGuard();
const withLoading = async (func) => {
  try {
    defaultLoadingOverlayGuard.show();
    return await func();
  } finally {
    defaultLoadingOverlayGuard.hide();
  }
};
const showLoading = () => {
  defaultLoadingOverlayGuard.show();
};
const hideLoading = () => {
  defaultLoadingOverlayGuard.hide();
};
const anchorToRouterLink = {
  mounted: (el, binding) => {
    Array.from(el.getElementsByTagName("a")).forEach((anchor) => {
      anchor.onclick = async (event) => {
        var _a, _b;
        const router = (_a = binding.instance) == null ? void 0 : _a.$.appContext.config.globalProperties.$router;
        const href = anchor.getAttribute("href") || "";
        const isInternalLink = !!router && urlUtil.checkInternalLink(href);
        const target = (_b = anchor.getAttribute("target")) == null ? void 0 : _b.toLowerCase();
        const isTargetSelf = !target || target === "_self";
        const routerBase = location.origin + ((router == null ? void 0 : router.options.history.base) || "");
        const resultHref = isInternalLink === "SAME_ORIGIN" && isTargetSelf ? urlUtil.extractUrlDifferentPart(href, routerBase) : href;
        const useRouterLink = !event.altKey && !event.ctrlKey && !event.shiftKey && isInternalLink;
        if (useRouterLink) {
          event.preventDefault();
          await router.push(resultHref);
        }
      };
    });
  }
};
const _sfc_main = defineComponent({
  name: "UiModal",
  components: { UiButton },
  props: {
    title: {
      type: String,
      default: void 0
    },
    width: {
      type: [String, Number],
      default: void 0
    },
    height: {
      type: [String, Number],
      default: void 0
    },
    minWidth: {
      type: [String, Number],
      default: void 0
    },
    minHeight: {
      type: [String, Number],
      default: void 0
    },
    maxWidth: {
      type: [String, Number],
      default: void 0
    },
    maxHeight: {
      type: [String, Number],
      default: void 0
    },
    drag: {
      type: Boolean,
      default: mobileDeviceType !== "IOS"
    },
    clickToClose: {
      type: Boolean,
      default: false
    },
    escToClose: {
      type: Boolean,
      default: false
    },
    transition: {
      type: String,
      default: void 0
    },
    classes: {
      type: String,
      default: void 0
    }
  },
  setup(props, { slots }) {
    const hasTitleSlot = computed(() => !!(slots == null ? void 0 : slots.title));
    const hasButtonsSlot = computed(() => !!(slots == null ? void 0 : slots.buttons));
    return {
      hasTitleSlot,
      hasButtonsSlot
    };
  }
});
const _hoisted_1 = { class: "modal-top" };
const _hoisted_2 = {
  key: 0,
  class: "modal-title"
};
const _hoisted_3 = {
  key: 1,
  class: "modal-title"
};
const _hoisted_4 = { class: "modal-body" };
const _hoisted_5 = {
  key: 0,
  class: "modal-buttons"
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_UiButton = resolveComponent("UiButton");
  const _component_Modal = resolveComponent("Modal");
  return openBlock(), createBlock(_component_Modal, {
    classes: `ui-modal ${_ctx.classes}`,
    "content-class": "modal-content",
    drag: _ctx.drag,
    "drag-selector": ".modal-top, .modal-title",
    "click-to-close": _ctx.clickToClose,
    "esc-to-close": _ctx.escToClose,
    transition: _ctx.transition,
    "content-style": { width: _ctx.width, height: _ctx.height, minWidth: _ctx.minWidth, minHeight: _ctx.minHeight, maxWidth: _ctx.maxWidth, maxHeight: _ctx.maxHeight }
  }, {
    default: withCtx(({ close }) => [
      createElementVNode("div", _hoisted_1, [
        _ctx.hasTitleSlot ? (openBlock(), createElementBlock("span", _hoisted_2, [
          renderSlot(_ctx.$slots, "title", { close })
        ])) : (openBlock(), createElementBlock("span", _hoisted_3, toDisplayString(_ctx.title), 1)),
        createVNode(_component_UiButton, {
          class: "modal-close",
          onClick: close,
          icon: "close"
        }, null, 8, ["onClick"])
      ]),
      createElementVNode("div", _hoisted_4, [
        renderSlot(_ctx.$slots, "default", { close })
      ]),
      _ctx.hasButtonsSlot ? (openBlock(), createElementBlock("div", _hoisted_5, [
        renderSlot(_ctx.$slots, "buttons", { close })
      ])) : createCommentVNode("", true)
    ]),
    _: 3
  }, 8, ["classes", "drag", "click-to-close", "esc-to-close", "transition", "content-style"]);
}
const UiModal = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
const modalOption = {
  key: "$modal",
  componentName: "Modal",
  dynamicContainerName: "ModalsContainer"
};
const ModalPlugin = {
  install: (app) => {
    vfmPlugin().install(app, modalOption);
  },
  modal: $vfm
};
const modalProps = {
  type: Object,
  default: () => ({})
};
const useModal = () => inject("$modal");
const getModalName = (modal) => {
  var _a;
  const name = typeof modal.component === "string" ? modal.component : ((_a = modal.component) == null ? void 0 : _a.name) || "";
  if (!name)
    throw Error(`Component name is missing. component = ${modal.component}`);
  return name;
};
const getComponentName = (component) => {
  const name = typeof component === "string" ? component : component.name || "";
  if (!name)
    throw Error(`Component name is missing. component = ${component}`);
  return name;
};
class HistoryModalManager {
  constructor(modal, router) {
    __publicField(this, "historyModals", /* @__PURE__ */ new Map());
    __publicField(this, "unregisterRouterBeforeEach");
    this.modal = modal;
    this.router = router;
    this.router.isReady().then(() => this.initialize());
  }
  async initialize() {
    this.unregisterRouterBeforeEach = this.router.beforeEach((to) => this.handleRouterBeforeEach(to));
    await this.synchronizeCurrent();
  }
  destroy() {
    var _a;
    (_a = this.unregisterRouterBeforeEach) == null ? void 0 : _a.call(this);
  }
  async registerHistoryModal(modal) {
    const historyModals = this.historyModals.get(this.getRouteName()) || [];
    historyModals.push(modal);
    this.historyModals.set(this.getRouteName(), historyModals);
    await this.synchronizeCurrent();
  }
  unregisterHistoryModal(modal) {
    var _a;
    const historyModals = this.historyModals.get(this.getRouteName()) || [];
    const index = historyModals.indexOf(modal);
    if (index >= 0)
      historyModals.splice(index, 1);
    this.historyModals.set(this.getRouteName(), historyModals);
    if (((_a = this.historyModals.get(this.getRouteName())) == null ? void 0 : _a.length) === 0)
      this.historyModals.delete(this.getRouteName());
  }
  getRouteName() {
    const route = this.router.currentRoute.value;
    return route.name ? String(route.name) : "";
  }
  async handleRouterBeforeEach(to) {
    await this.synchronizeModals(this.getModalNamesInHash(to.hash));
  }
  getModalNamesInHash(hash = "") {
    return hash.startsWith("#") ? hash.substring(1).split(",") : [];
  }
  findModals(modalNames) {
    const historyModals = this.historyModals.get(this.getRouteName()) || [];
    return historyModals.flatMap((modal) => modal.findRegisteredModals(modalNames));
  }
  findHistoryModalHaving(modalName) {
    const modalsInGlobal = this.historyModals.get("") || [];
    const modalsInRoute = this.historyModals.get(this.getRouteName()) || [];
    const historyModals = [...modalsInGlobal, ...modalsInRoute];
    return historyModals.find((modal) => modal.hasModal(modalName));
  }
  async show(component, props) {
    const name = getComponentName(component);
    const historyModal = this.findHistoryModalHaving(name);
    const modal = historyModal == null ? void 0 : historyModal.getModal(name);
    if (historyModal && modal) {
      this.internalShowModal(modal, name, props);
      const route = this.router.currentRoute.value;
      const hash = route.hash;
      const newHash = hash.length > 0 ? `${hash},${name}` : `#${name}`;
      await this.router.push({ query: route.query, hash: newHash });
      historyModal.setFullPathOnShow(name, {
        before: route.fullPath,
        after: this.router.currentRoute.value.fullPath
      });
    }
  }
  internalShowModal(modal, modalName, props) {
    const _modal = { ...modal, bind: { ...modal.bind, ...props } };
    this.modal.show(_modal, { name: modalName });
  }
  async close(component) {
    var _a;
    const name = getComponentName(component);
    const fullPathOnShow = (_a = this.findHistoryModalHaving(name)) == null ? void 0 : _a.getFullPathOnShow(name);
    await this.internalCloseModal(name, fullPathOnShow);
  }
  async closeAllModals() {
    const route = this.router.currentRoute.value;
    const modalNames = this.getModalNamesInHash(route.hash);
    for (const modalName of modalNames) {
      await this.close(modalName);
    }
  }
  async internalCloseModal(modalName, fullPathOnShow) {
    setTimeout(async () => {
      const route = this.router.currentRoute.value;
      const names = this.getModalNamesInHash(route.hash);
      if (names.includes(modalName)) {
        if ((fullPathOnShow == null ? void 0 : fullPathOnShow.after) === route.fullPath) {
          this.router.back();
          await this.waitFullPathChange(fullPathOnShow == null ? void 0 : fullPathOnShow.before);
        } else {
          names.splice(names.indexOf(modalName), 1);
          const newHash = names.length === 0 ? void 0 : `#${names.join(",")}`;
          await this.router.replace({ query: route.query, hash: newHash });
        }
      }
    });
  }
  async waitFullPathChange(fullPath) {
    await new Promise((resolve) => {
      let maxTry = 10;
      const waitOneTime = () => {
        var _a;
        if (maxTry <= 0 || fullPath === void 0 || ((_a = this.router.currentRoute.value) == null ? void 0 : _a.fullPath) === fullPath) {
          resolve(void 0);
        } else {
          maxTry--;
          window.setTimeout(waitOneTime, 100);
        }
      };
      waitOneTime();
    });
  }
  async synchronizeCurrent() {
    var _a, _b;
    const hash = (_b = (_a = this.router.currentRoute) == null ? void 0 : _a.value) == null ? void 0 : _b.hash;
    const modalNamesInHash = this.getModalNamesInHash(hash);
    await this.synchronizeModals(modalNamesInHash);
  }
  async synchronizeModals(modalNamesInHash) {
    const historyModals = this.historyModals.get(this.getRouteName()) || [];
    const registeredModalNames = historyModals.flatMap((modal) => modal.getRegisteredModalNames());
    this.modal.openedModals.filter((open) => {
      var _a, _b;
      const name = (_b = (_a = open.params) == null ? void 0 : _a.value) == null ? void 0 : _b.name;
      return !modalNamesInHash.includes(name);
    }).forEach((toHide) => toHide.toggle());
    const openedNames = this.modal.openedModals.map((open) => {
      var _a, _b;
      return (_b = (_a = open.params) == null ? void 0 : _a.value) == null ? void 0 : _b.name;
    }).filter((name) => !!name);
    const modalsInHash = this.findModals(modalNamesInHash);
    modalsInHash.filter((modal) => {
      const name = getModalName(modal);
      return registeredModalNames.includes(name) && !openedNames.includes(name);
    }).forEach((toOpen) => {
      if (toOpen.showOnRefresh) {
        this.internalShowModal(toOpen, getModalName(toOpen));
      } else {
        this.internalCloseModal(getModalName(toOpen), void 0);
      }
    });
  }
}
class HistoryModal {
  constructor(manager) {
    __publicField(this, "manager");
    __publicField(this, "modalMap", /* @__PURE__ */ new Map());
    __publicField(this, "fullPathOnShow", /* @__PURE__ */ new Map());
    this.manager = manager;
  }
  async initialize() {
    await this.manager.registerHistoryModal(this);
  }
  destroy() {
    this.manager.unregisterHistoryModal(this);
  }
  register(modal) {
    if (!modal.component)
      throw Error("component is required in DynamicModalOptions");
    const modalName = getModalName(modal);
    modal.on = { ...modal.on, closed: async () => await this.closedHandler(modalName) };
    this.modalMap.set(modalName, modal);
  }
  getRegisteredModalNames() {
    return Array.from(this.modalMap.keys());
  }
  findRegisteredModals(modalNames) {
    return Array.from(this.modalMap.entries()).filter((entry) => modalNames.includes(entry[0])).map((entry) => entry[1]);
  }
  hasModal(modalName) {
    return this.modalMap.has(modalName);
  }
  getModal(modalName) {
    return this.modalMap.get(modalName);
  }
  setFullPathOnShow(modalName, fullPath) {
    this.fullPathOnShow.set(modalName, fullPath);
  }
  getFullPathOnShow(modalName) {
    return this.fullPathOnShow.get(modalName);
  }
  async closedHandler(modalName) {
    const fullPathOnShow = this.fullPathOnShow.get(modalName);
    await this.manager.internalCloseModal(modalName, fullPathOnShow);
    this.fullPathOnShow.delete(modalName);
  }
}
const historyModalKey = Symbol("HistoryModalPluginKey");
const useHistoryModal = (...modals) => {
  const manager = inject(historyModalKey);
  if (!manager) {
    throw new Error("HistoryModalPlugin is not installed!");
  }
  if (modals.length > 0) {
    const historyModal = new HistoryModal(manager);
    modals.forEach((modal) => historyModal.register(modal));
    onMounted(async () => await historyModal.initialize());
    onBeforeUnmount(() => historyModal.destroy());
  }
  return manager;
};
const HistoryModalPlugin = {
  install(app, option) {
    if (!option) {
      throw new Error("option (HistoryModalPluginOptions) is missing!");
    }
    if (!option.modal) {
      throw new Error("option.modal is missing!");
    }
    if (!option.router) {
      throw new Error("option.router is missing!");
    }
    const manager = new HistoryModalManager(option.modal, option.router);
    app.provide(historyModalKey, manager);
  }
};
function notNull(value) {
  return value !== null && value !== void 0;
}
class RouteContext {
  constructor() {
    __publicField(this, "fullPath");
    __publicField(this, "type");
    __publicField(this, "direction");
  }
  update(fullPath, type, direction) {
    this.fullPath = fullPath;
    this.type = type;
    this.direction = direction;
  }
  clearIfOtherPath(fullPath) {
    if (this.fullPath !== fullPath) {
      this.fullPath = void 0;
      this.type = void 0;
      this.direction = void 0;
    }
  }
  fromBackOrForward() {
    return !!(this.type && this.direction);
  }
  getType() {
    return this.type === "pop" ? "pop" : this.type === "push" ? "push" : void 0;
  }
  getDirection() {
    return this.direction === "back" ? "back" : this.direction === "forward" ? "forward" : void 0;
  }
}
const routeContext = new RouteContext();
const initializeRouteContext = (router) => {
  router.options.history.listen((to, from, info) => {
    routeContext.update(to, String(info.type), String(info.direction));
  });
  router.afterEach((to) => {
    routeContext.clearIfOtherPath(to.fullPath);
  });
};
export {
  BREAKPOINTS,
  HistoryModal,
  HistoryModalManager,
  HistoryModalPlugin,
  ListCondition,
  MEDIA_QUERIES,
  ModalPlugin,
  PaginatedList,
  ScreenSizeArray,
  ScrollListFilter,
  ScrollListKey,
  TotalList,
  UiButton,
  UiCarousel,
  UiCheckbox,
  UiDate,
  UiField,
  UiFieldError,
  UiFieldGuide,
  UiImage,
  UiInputImages,
  UiInputPrice,
  UiInputQty,
  UiInputText,
  UiLabel,
  UiLayout,
  UiLink,
  UiMedia,
  UiModal,
  UiPagination,
  UiPeriodSearch,
  UiPicture,
  UiPrice,
  UiProcessStep,
  UiRadioButton,
  UiScrollList,
  UiScrollListAppend,
  UiScrollListPage,
  UiSelect,
  UiSwiper,
  UiTab,
  UiTabs,
  UiTextarea,
  UiTooltip,
  UiVideo,
  UiYoutubePlayer,
  anchorToRouterLink,
  browserUtil,
  componentUtil,
  configureUiComponent,
  createDatePeriodByMonths,
  datePeriodConverter,
  enhanceDatePeriodObject,
  focusOnLoad,
  formatUtil,
  getPeriodSearchInitialValue,
  hideLoading,
  initializeRouteContext,
  Lazy as lazy,
  mobileDeviceType,
  modalOption,
  modalProps,
  notNull,
  numberQueryConverter,
  responsiveUtil,
  routeContext,
  selectOnLoad,
  showLoading,
  supportIntersectionObserver,
  supportWebp,
  urlUtil,
  useHistoryModal,
  useModal,
  useRouterTab,
  withLoading
};
